<?php

namespace App\Http\Controllers\Payment;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use Cart;
use Session;
use Mail;

use Stripe\Stripe;
use Stripe\Charge;

use App\Models\Product;
use App\Models\Order;
use App\Models\OrderItem;

use App\Mail\OrderPlaced;

class StripeController extends Controller
{
    
    public function make_stripe_payment(Request $request)
    {
        $order_num = 'ORD-'.strtoupper(uniqid());
        
        $grand_total = Cart::getTotal();
        $items_count = Cart::getTotalQuantity();

        Stripe::setApiKey('sk_test_51HTXM9LlJ7MCoKyltM3b5gAMjLVuZ77xzuQj6a29yTEGvfgBv92UQH6wYyjDTYPpIAloUN6TRET3c2Tk6MQsciec00HVhkR7wv');

        $charge = Charge::create ([
            "amount" => $grand_total * 100,
            "currency" => "usd",
            "source" => $request->stripeToken,
            "description" => "Order #{$order_num} Payment" 
        ]);


        if ($charge->status == "succeeded") {

            $bill_email = $request->bill_email;

            $name = $request->bill_first_name . ' ' . $request->bill_last_name;
            $arr1 = array('name' => $name);
            $arr2 = array('address' => $request->bill_address);
            $arr3 = array('company' => $request->bill_company);
            $arr4 = array('postcode' => $request->bill_postcode);
            $arr5 = array('city' => $request->bill_city);
            $arr6 = array('email' => $bill_email);
            $arr7 = array('phone' => $request->bill_phone);

            $bill_array = $arr1 + $arr2 + $arr3 + $arr4 + $arr5 + $arr6 + $arr7;

            $del_name = $request->del_first_name . ' ' . $request->del_last_name;
            $arr8  = array('name' => $del_name);
            $arr9  = array('address' => $request->del_address);
            $arr10 = array('company' => $request->del_company);
            $arr11 = array('postcode' => $request->del_postcode);
            $arr12 = array('city' => $request->del_city);
            $arr13 = array('email' => $request->del_email);
            $arr14 = array('phone' => $request->del_phone);

            $del_array = $arr8 + $arr9 + $arr10 + $arr11 + $arr12 + $arr13 + $arr14;

            $order = Order::create([
                'order_number'      =>  $order_num,
                'grand_total'       =>  $grand_total,
                'items_count'       =>  $items_count,
                'payment_method'    =>  'Stripe',
                'status'            =>  'Not Shipped',
                'billing_address'   =>  json_encode($bill_array),
                'delivery_address'  =>  json_encode($del_array),

            ]);
         
            if ($order) {
         
                $items = Cart::getContent();
         
                foreach ($items as $item)
                {
                    $product = Product::where('id', $item->id)->first();
         
                    $orderItem = OrderItem::create([
                        'order_id'      =>  $order->id,
                        'product_id'    =>  $product->id,
                        'quantity'      =>  $item->quantity,
                        'price'         =>  $item->getPriceSum(),
                    ]);
         
                    
                }

                Mail::to($bill_email)->send(new OrderPlaced($items, $items_count, $grand_total, $order));

            }


            Cart::clear();

            Session::flash('success', 'Payment has been successfully processed! Please check your email for the invoice.');          
            return redirect()->route('shop.cart.list');

        }

        Session::flash('error', 'Your payment is not successful due to technical issue!');
        return redirect()->route('shop.cart.list');

    }
}
