<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

use View;
use App\Models\Service;
use App\Models\AppSettings;
use App\Models\Post;
use App\Models\Category;

use Illuminate\Support\Facades\Schema;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Schema::defaultStringLength(191);

        View::share('services', Service::orderBy('created_at', 'desc')->get());
        View::share('sec_services', Service::where('type', 'Security Services')->get());
        View::share('elec_services', Service::where('type', 'Electrical Services')->get());
        View::share('airc_services', Service::where('type', '24/7 Site Cam')->get());
        View::share('all_cates', Category::orderBy('created_at', 'desc')->get());
        View::share('contact', AppSettings::findOrFail(1));
        View::share('popular_two', Post::orderBy('views', 'desc')->take(2)->get());
    }
}
