@extends('layouts.master')
@section('title', 'Replied Contacts')

@section('content')
    <!-- ========================== Page Content ==================================== -->
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Replied Contacts</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard</a></li>
                                <li class="breadcrumb-item active">Replied Contacts</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body" style="text-align: center;">
                            <h5><span class="text-success"><b>Replied Contacts (<?php echo $all->count(); ?>)</b></span></h5> 
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">

                            <table id="datatable-buttons" class="table table-bordered dt-responsive nowrap w-100">
                                <thead>
                                    <tr>
                                        <th style="width: 20px;">
                                            SL
                                        </th>
                                        <th class="align-middle">Name</th>
                                        <th class="align-middle">E-mail</th>
                                        <th class="align-middle">Phone</th>
                                        <th class="align-middle">Service</th>
                                        <th class="align-middle">Sent At</th>
                                        <th class="align-middle">Message</th>
                                        <th class="align-middle">Replied At</th>
                                        <th class="align-middle">Action</th>
                                    </tr>
                                </thead>


                                <tbody>
                                @foreach($all as $key => $reply)
                                    <?php
                                        $service = App\Models\Service::findOrFail($reply->service_id);
                                    ?>
                                    <tr>
                                        <td>
                                            {{ $key + 1 }}
                                        </td>
                                        
                                        <td>

                                            <span>{{ $reply->name }}</span>

                                            <span class="CellWithComment">
                                                <i class="mdi mdi-arrow-up-bold-circle-outline ms-1 text-success" style="position: relative; top: -4px; cursor: pointer; font-size: 18px; float: right;"></i>
                                                <span class="CellComment" style="background-color:#34c38f !important;">Replied</span>
                                            </span>
                                        </td>

                                        <td>
                                            {{ $reply->email }}
                                        </td>

                                        <td>
                                            {{ $reply->phone }}
                                        </td>

                                        <td>
                                            {{ $service->name }}
                                        </td>

                                        <td>
                                            <?php
                                                $date_time = strtotime($reply->created_at);
                                                $not_date = date('d M, Y', $date_time);

                                                $time = date('h:i A', $date_time)
                                            ?>
                                            {{ $not_date }} - {{ $time }}
                                        </td>

                                        <td>
                                            {!! str_limit($reply->message, 30) !!}
                                        </td>

                                        <td>
                                            <?php
                                                $date_time_t = strtotime($reply->replied_at);
                                                $not_date_t = date('d M, Y', $date_time_t);

                                                $time_t = date('h:i A', $date_time_t)
                                            ?>
                                            {{ $not_date_t }} - {{ $time_t }}
                                        </td>
                                                                           
                                        <td style="text-align: center;">
                                            <div class="inline" style="display: flex; gap: 5px;">
                                                <a class="btn btn-outline-info btn-sm" href="{{ route('view.message', $reply->id) }}" title="Edit">
                                                    <i class="fas fa-eye"></i> View Message
                                                </a>
                                                
                                                <form action="{{ route('destroy.contact', $reply->id) }}" method="post">
                                                    @csrf

                                                    <button class="btn btn-outline-danger btn-sm delete" onclick="return confirm('Are you sure to delete?')" style="margin-left: 5px;" title="Delete" type="submit"><i class="fas fa-trash-alt"></i></button> 
                                                </form>
                                            </div>
                                        </td>

                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div>

        </div> <!-- container-fluid -->
    </div>
    <!-- End Page-content -->                
                
@endsection


@section('styles')
    <style type="text/css">

        .table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before {
            margin-top: -14px !important;
        }

        .CellWithComment{
            position:relative;
        }

        .CellComment{
            display:none;
            position:absolute; 
            z-index:100;
            padding: .25em .4em;
            font-size: 75%;
            font-weight: 500;
            line-height: 1;
            color: #fff;
            text-align: center;
            white-space: nowrap;
            vertical-align: baseline;
            border-radius: .25rem;
        }

        .CellWithComment:hover span.CellComment{
            display:block;
        }

    </style>
@endsection