@extends('layouts.master')
@section('title', 'Update Industry')

@section('content')
    <!-- ========================== Page Content ==================================== -->
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18"> Update Industry</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard </a></li>
                                <li class="breadcrumb-item active" style="color: #74788d;">Update Industry</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-lg-12">
                    
                    @if(count($errors) > 0)
                        <div class="alert alert-dismissible fade show color-box bg-danger bg-gradient p-4" role="alert">
                            <x-jet-validation-errors class="mb-4 my-2 text-white" />
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    @endif
                        
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">

                            <form class="repeater needs-validation" action="{{ route('update.industry', $industry->id) }}" method="post" enctype="multipart/form-data" novalidate="">
                            @csrf

                                <div class="row">
                                    <div class="col-md-5"></div>
                                    <div class="col-md-2">
                                        <p style="text-align: center; font-weight: 500;">Current Image</p>
                                        <div class="zoom-gallery d-flex flex-wrap">
                                            <a href="{{ asset('assets/uploads/industries/'.$industry->image) }}" title="{{ $industry->image }}">
                                                <img src="{{ asset('assets/uploads/industries/'.$industry->image) }}" alt="" style="height: 175px !important; width: 175px !important;" class="img-thumbnail rounded-circle">
                                            </a>
                                        </div>

                                    </div>
                                    <div class="col-md-5"></div>
                                </div>
                                
                                <br>

                                <div class="row">

                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip100" class="form-label">Short Name</label>
                                            <input type="text" class="form-control" id="validationTooltip100" placeholder="Enter short name" name="short_name" value="{{ old('short_name', $industry->short_name) }}" required="">

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter short name.
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip01" class="form-label">Title</label>
                                            <input type="text" class="form-control" id="validationTooltip01" placeholder="Enter title" name="title" value="{{ old('title', $industry->title) }}" required="">

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter title.
                                            </div>
                                        </div>
                                    </div>

                                </div>

                                <br>

                                <div class="row">
                                    
                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip02" class="form-label">Upload Image</label>
                                            <input type="file" class="form-control" id="validationTooltip02" name="image"> 

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please upload an image.
                                            </div> 
                                        </div>
                                    </div>
                                
                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="summernote_text" class="form-label">Include Title</label>
                                            <textarea id="summernote_text" rows="5" name="include_title" class="form-control" required>{{ old('include_title', $industry->include_title) }}</textarea>
                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter include title.
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                
                                <br>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="mb-3 position-relative">
                                            <label for="includes" class="form-label">Includes</label>
                                            <div data-repeater-list="include">

                                                @foreach($includes as $include)
                                                    <div data-repeater-item class="row">
                                                        
                                                        <div class="mb-3 col-lg-11">                                        
                                                            <input type="text" id="include_name" name="include_name" class="form-control" value="{{ $include->include_name }}" placeholder="Enter include name" required/>
                                                        </div>

                                                        <div class="mb-3 col-lg-1 align-self-center">
                                                            <div class="d-grid">
                                                                <input data-repeater-delete type="button" class="btn btn-danger" value="Delete"/>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endforeach

                                            </div>

                                            <input data-repeater-create type="button" class="btn btn-light mt-3 mt-lg-0" value="Click to add new"/>

                                        </div>
                                    </div>

                                </div>

                                <br>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="mb-3 position-relative">
                                            <label for="summernote_industry" class="form-label">Industry Details/Description</label>
                                            <textarea id="summernote_industry" required name="details" class="form-control">{{ old('details', $industry->details) }}</textarea>
                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter industry details.
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <div class="row">
                                    
                                    <div class="col-md-12">
                                        
                                        <button class="btn btn-primary" style="margin-top: 6px !important; width: 100% !important" type="submit">Update Industry</button>
                                        
                                    </div>
                            
                                </div>

                            </form>

                        </div>
                        <!-- end card body -->
                    </div>
                    <!-- end card -->
                </div>
                <!-- end col -->
            </div>
            <!-- end row -->

        </div> <!-- container-fluid -->
    </div>
    <!-- End Page-content -->                
                
@endsection


@section('scripts')

    <script type="text/javascript">
        $('#summernote_industry').summernote({
            placeholder: 'Enter industry details',
            tabsize: 2,
            height: 300,
            toolbar: [
              ['style', ['style']],
              ['font', ['bold', 'underline', 'clear']],
              ['color', ['color']],
              ['para', ['ul', 'ol', 'paragraph']],
              ['table', ['table']],
              ['insert', ['link', 'picture', 'video']],
              ['view', ['fullscreen', 'codeview', 'help']]
            ],
        });
    </script>
@endsection

@section('styles')
    <style type="text/css">
        .note-editing-area {
            background: white !important;
        }
    </style>
@endsection

