@extends('layouts.master')
@section('title', 'Update Service')

@section('content')
    <!-- ========================== Page Content ==================================== -->
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18"> Update Service</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard </a></li>
                                <li class="breadcrumb-item active" style="color: #74788d;">Update Service</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-lg-12">
                    
                    @if(count($errors) > 0)
                        <div class="alert alert-dismissible fade show color-box bg-danger bg-gradient p-4" role="alert">
                            <x-jet-validation-errors class="mb-4 my-2 text-white" />
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    @endif
                        
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">

                            <form class="repeater needs-validation" action="{{ route('update.service', $service->id) }}" method="post" enctype="multipart/form-data" novalidate="">
                            @csrf

                                <div class="row">
                                    <div class="col-md-5"></div>
                                    <div class="col-md-2">
                                        <p style="text-align: center; font-weight: 500;">Current Image</p>
                                        <div class="zoom-gallery d-flex flex-wrap">
                                            <a href="{{ asset('assets/uploads/services/'.$service->image) }}" title="{{ $service->image }}">
                                                <img src="{{ asset('assets/uploads/services/'.$service->image) }}" alt="" style="height: 175px !important; width: 175px !important;" class="img-thumbnail rounded-circle">
                                            </a>
                                        </div>

                                    </div>
                                    <div class="col-md-5"></div>
                                </div>
                                
                                <br>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip01" class="form-label">Service Name</label>
                                            <input type="text" class="form-control" id="validationTooltip01" placeholder="Enter service name" name="name" value="{{ old('name', $service->name) }}" required="">

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter service name.
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip02" class="form-label">Change Image</label>
                                            <input type="file" class="form-control" id="validationTooltip02" name="service_image"> 

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please upload service image.
                                            </div> 
                                        </div>
                                    </div>

                                </div>

                                <br>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip12" class="form-label">Service Type</label>
                                            <select class="form-control select2" id="validationTooltip12" name="type" required="">
                                            
                                                <option value="">Select Any Type</option>
                                                <option value="Security Services" {{ $service->type == "Security Services" ? "selected" : "" }}>Security Services</option>
                                                <option value="Electrical Services" {{ $service->type == "Electrical Services" ? "selected" : "" }}>Electrical Services</option>
                                                <option value="24/7 Site Cam" {{ $service->type == "24/7 Site Cam" ? "selected" : "" }}>24/7 Site Cam</option>

                                            </select>

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please select any type.
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <br>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="mb-3 position-relative">
                                            <label for="service_details" class="form-label">Service Details</label>
                                            <textarea id="service_details" required name="service_description" rows="7" class="form-control">{{ old('service_description', $service->description) }}</textarea>
                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter service description.
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <br>

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="mb-3 position-relative">
                                            <label for="solutions" class="form-label">Add/Edit Solutions</label>
                                            <div data-repeater-list="solution">
                                                
                                                @foreach($solutions as $solution)

                                                    <div data-repeater-item class="row">
                                                    
                                                        <div class="mb-3 col-lg-4">
                                            
                                                            <input type="text" id="solution_name" name="solution_name" class="form-control" value="{{ $solution->solution_name }}" placeholder="Solution Name" required/>
                                                        </div>

                                                        <div class="mb-3 col-lg-6">
                                                            
                                                            <textarea id="solution_note" placeholder="Short Note" name="solution_note" rows="1" class="form-control" required>{!! $solution->solution_note !!}</textarea>
                                                        </div>
                                                        
                                                        <div class="mb-3 col-lg-2 align-self-center">
                                                            <div class="d-grid">
                                                                <input data-repeater-delete type="button" class="btn btn-danger" value="Delete"/>
                                                            </div>
                                                        </div>

                                                    </div>

                                                @endforeach
                                            </div>

                                            <input data-repeater-create type="button" class="btn btn-light mt-3 mt-lg-0" value="Click to add new"/>

                                        </div>
                                    </div>

                                </div>

                                <div class="row">
                                    
                                    <div class="col-md-12">
                                        
                                        <button class="btn btn-primary" style="margin-top: 6px !important; width: 100% !important" type="submit">Update Service</button>
                                        
                                    </div>
                            
                                </div>

                            </form>

                        </div>
                        <!-- end card body -->
                    </div>
                    <!-- end card -->
                </div>
                <!-- end col -->
            </div>
            <!-- end row -->

        </div> <!-- container-fluid -->
    </div>
    <!-- End Page-content -->                
                
@endsection

@section('scripts')

    <script type="text/javascript">
        $('#summernote_text').summernote({
            placeholder: 'Enter service description',
            tabsize: 2,
            height: 120,
            toolbar: [
              ['style', ['style']],
              ['font', ['bold', 'underline', 'clear']],
              ['color', ['color']],
              ['para', ['ul', 'ol', 'paragraph']],
              ['table', ['table']],
              ['insert', ['link', 'picture', 'video']],
              ['view', ['fullscreen', 'codeview', 'help']]
            ],
        });
    </script>
@endsection

@section('styles')
    <style type="text/css">
        .note-editing-area {
            background: white !important;
        }
    </style>
@endsection

