@extends('layouts.master')
@section('title', 'App Settings')

@section('content')
    <!-- ========================== Page Content ==================================== -->
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18"> App Settings</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard </a></li>
                                <li class="breadcrumb-item active" style="color: #74788d;">App Settings</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-lg-12">
                    
                    @if(count($errors) > 0)
                        <div class="alert alert-dismissible fade show color-box bg-danger bg-gradient p-4" role="alert">
                            <x-jet-validation-errors class="mb-4 my-2 text-white" />
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    @endif
                        
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">

                            <form class="repeater needs-validation" action="{{ route('update.settings') }}" method="post" enctype="multipart/form-data" novalidate="">
                            @csrf

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip01" class="form-label">Phone No.</label>
                                            <input type="text" class="form-control" id="validationTooltip01" placeholder="Enter phone no" name="phone" value="{{ old('phone', $settings->phone) }}" required="">

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter phone no.
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip02" class="form-label">E-mail Address</label>
                                            <input type="email" class="form-control" id="validationTooltip02" placeholder="Enter valid email address" name="email" value="{{ old('email', $settings->email) }}" required="">

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter valid email address.
                                            </div>
                                        </div>
                                    </div>


                                </div>

                                <br>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip03" class="form-label">Address</label>
                                            <input type="text" class="form-control" id="validationTooltip03" placeholder="Enter address" name="address" value="{{ old('address', $settings->address) }}" required="">

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter address.
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip04" class="form-label">Facebook</label>
                                            <input type="text" class="form-control" id="validationTooltip04" placeholder="Enter facebook url" name="facebook" value="{{ old('facebook', $settings->facebook) }}" required="">

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter facebook url.
                                            </div>
                                        </div>
                                    </div>


                                </div>

                                <br>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip11" class="form-label">Instagram</label>
                                            <input type="text" class="form-control" id="validationTooltip11" placeholder="Enter instagram" name="instagram" value="{{ old('instagram', $settings->instagram) }}" required="">

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter instagram url.
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip14" class="form-label">Google</label>
                                            <input type="text" class="form-control" id="validationTooltip14" placeholder="Enter google" name="google" value="{{ old('google', $settings->google) }}" required="">

                                            <div class="valid-tooltip">
                                                Looks good!
                                            </div>

                                            <div class="invalid-tooltip">
                                                Please enter google url.
                                            </div>
                                        </div>
                                    </div>


                                </div>

                                <br>

                                <div class="row">
                                    
                                    <div class="col-md-12">
                                        <div class="mb-3 position-relative">
                                            <label for="" class="form-label"></label>
                                            <button class="btn btn-primary" style="margin-top: 6px !important; width: 100% !important" type="submit">Save Settings</button>
                                        </div>
                                    </div>

                                </div>

                            </form>

                        </div>
                        <!-- end card body -->
                    </div>
                    <!-- end card -->
                </div>
                <!-- end col -->
            </div>
            <!-- end row -->

        </div> <!-- container-fluid -->
    </div>
    <!-- End Page-content -->                
                
@endsection