@extends('layouts.master')
@section('title', 'Change Silder Images')

@section('content')
    <!-- ========================== Page Content ==================================== -->
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18"> Change Silder Images</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard </a></li>
                                <li class="breadcrumb-item active" style="color: #74788d;">Change Silder Images</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-lg-12">
                    
                    @if(count($errors) > 0)
                        <div class="alert alert-dismissible fade show color-box bg-danger bg-gradient p-4" role="alert">
                            <x-jet-validation-errors class="mb-4 my-2 text-white" />
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    @endif
                        
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">

                            <form class="repeater needs-validation" action="{{ route('change.slider.images') }}" method="post" enctype="multipart/form-data" novalidate="">
                            @csrf

                                <div class="row">
                                    
                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="" class="form-label">Slider Image 1</label>
                                            

                                            <div class="zoom-gallery d-flex flex-wrap">
                                                <a href="{{ asset('assets/uploads/sliders/'.$settings->slider_1) }}" title="2021_03-test-tag-labels_qlm-web-04.webp-74228.webp">
                                                    <img src="{{ asset('assets/uploads/sliders/'.$settings->slider_1) }}" alt="" style="height: 310px !important; width: 540px !important; object-fit: cover;" class="img-thumbnail">
                                                </a>
                                            </div>
                                        </div>

                                    </div>

                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip02" class="form-label">Change Image 1</label>
                                            <input type="file" class="form-control" name="slider_1" id="validationTooltip02">
                                        </div>
                                    </div>

                                </div>

                                <br>

                                <div class="row">
                                    
                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="" class="form-label">Slider Image 2</label>
                                            
                                            <div class="zoom-gallery d-flex flex-wrap">
                                                <a href="{{ asset('assets/uploads/sliders/'.$settings->slider_2) }}" title="2021_03-test-tag-labels_qlm-web-04.webp-74228.webp">
                                                    <img src="{{ asset('assets/uploads/sliders/'.$settings->slider_2) }}" alt="" style="height: 310px !important; width: 540px !important; object-fit: cover;" class="img-thumbnail">
                                                </a>
                                            </div>

                                        </div>

                                    </div>

                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip04" class="form-label">Change Image 2</label>
                                            <input type="file" class="form-control" name="slider_2" id="validationTooltip04">
                                        </div>
                                    </div>

                                </div>

                                <br>

                                <div class="row">
                                    
                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="" class="form-label">Slider Image 3</label>
                                            
                                            <div class="zoom-gallery d-flex flex-wrap">
                                                <a href="{{ asset('assets/uploads/sliders/'.$settings->slider_3) }}" title="2021_03-test-tag-labels_qlm-web-04.webp-74228.webp">
                                                    <img src="{{ asset('assets/uploads/sliders/'.$settings->slider_3) }}" alt="" style="height: 310px !important; width: 540px !important; object-fit: cover;" class="img-thumbnail">
                                                </a>
                                            </div>

                                        </div>

                                    </div>

                                    <div class="col-md-6">
                                        <div class="mb-3 position-relative">
                                            <label for="validationTooltip03" class="form-label">Change Image 3</label>
                                            <input type="file" class="form-control" name="slider_3" id="validationTooltip03">
                                        </div>
                                    </div>

                                </div>

                                <br>

                                <div class="row">
                                    
                                    <div class="col-md-12">
                                        <div class="mb-3 position-relative">
                                            <label for="" class="form-label"></label>
                                            <button class="btn btn-primary" style="margin-top: 6px !important; width: 100% !important" type="submit">Update Slider Images</button>
                                        </div>
                                    </div>

                                </div>

                            </form>

                        </div>
                        <!-- end card body -->
                    </div>
                    <!-- end card -->
                </div>
                <!-- end col -->
            </div>
            <!-- end row -->

        </div> <!-- container-fluid -->
    </div>
    <!-- End Page-content -->                
                
@endsection