@extends('layouts.frontend-master')

@section('title', 'About Us')

@section('content')
  
  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">About Us</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li class="active">About Us</li>
      </ul>
    </div>
  </section>

  <!-- About-->
  <section class="section section-lg bg-default">
    <div class="container">
      <div class="tabs-custom row row-50 justify-content-center flex-lg-row-reverse text-center text-md-left" id="tabs-4">
        <div class="col-lg-4 col-xl-3">
          <h4 class="text-spacing-200">7+ years of experience</h4>
          <ul class="nav list-category list-category-down-md-inline-block">
            <li class="list-category-item wow fadeInRight" role="presentation" data-wow-delay="0s"><a class="active" href="#tabs-4-1" data-toggle="tab">About us</a></li>
            <li class="list-category-item wow fadeInRight" role="presentation" data-wow-delay=".2s"><a href="#tabs-4-2" data-toggle="tab">Our Goals</a></li>
            <li class="list-category-item wow fadeInRight" role="presentation" data-wow-delay=".3s"><a href="#tabs-4-3" data-toggle="tab">Mission & Vision</a></li>
          </ul><a class="button button-lg button-primary button-winona" href="{{ route('contact') }}">Contact us</a>
        </div>
        <div class="col-lg-8 col-xl-9">
          <!-- Tab panes-->
          <div class="tab-content tab-content-1">
            <div class="tab-pane fade show active" id="tabs-4-1">
              <h2>Who we are</h2>
              
              <p>STAR-TEC is a leading provider of Security Solution. Our company is dedicated to delivering exceptional products and services to our customers. Our team is comprised of talented and passionate individuals who are committed to excellence in everything they do.</p>

              <p>With years of experience in Security & Electrical Industry, we stay up-to-date with the latest advancements to provide cutting-edge solutions to our clients.</p>
                
                <img src="{{ asset('assets/images/about/about-img.jpeg') }}" width="835" height="418"/>
            </div>
            <div class="tab-pane fade" id="tabs-4-2">
              <h2>What We Want to Achieve</h2>
              
              <p>At STAR-TEC, our goals are centred around delivering the best possible security and electrical solutions to our clients. We believe that our clients deserve the highest level of protection and comfort, and we are committed to helping them achieve these goals.</p>

              <p>We strive to be the go-to provider for security and electrical services, and we are committed to staying ahead of the curve in this rapidly evolving industry. Our team of experts is passionate about their work and is dedicated to delivering personalised solutions that meet the unique needs of each of our clients.</p>

              <p>We believe in building strong relationships with our clients, and we are dedicated to delivering exceptional results that make a positive impact in their lives. Whether you're looking for a security system that provides peace of mind, or an electrical solution that makes your life easier, we are here to help you achieve your goals.</p>

              <p>At STAR-TEC, our goal is always to exceed your expectations, and we are committed to doing everything we can to help you succeed.</p>
              
              <img src="{{ asset('assets/images/about/goals.jpeg') }}" alt="" width="835" height="418"/>
            </div>
            <div class="tab-pane fade" id="tabs-4-3">
              <h2>Our Mission & Vision</h2>
              
              <p>At STAR-TEC, our mission is to provide top-notch security and electrical solutions that protect and empower our clients. We believe that security and electrical systems play a critical role in ensuring the safety and comfort of homes and businesses, and we are dedicated to delivering the best possible solutions to meet our clients' needs.</p>
          
              
              <p>Our vision is to be the leading provider of security and electrical solutions, delivering exceptional customer service and making a positive impact in the lives of our clients. We strive to be the go-to provider for security and electrical services, and we are committed to staying ahead of the curve in this rapidly evolving industry.</p>

              <p>Our team of experts is passionate about security and electrical systems, and they are dedicated to delivering personalised solutions that meet the unique needs of each of our clients. We believe in building strong relationships with our clients, and we are dedicated to delivering exceptional results that make a positive impact in their lives.</p>
                
              <p>At STAR-TEC, our mission and vision drive everything we do, from the way we work with our clients to the way we approach new challenges. We are committed to living up to our promise every day, and we believe that this is what sets us apart in the industry.</p>
              
              <img src="{{ asset('assets/images/about/mission.jpeg') }}" alt="" width="835" height="418"/>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

  <!-- Icon Classic-->
  {{-- <section class="section section-lg bg-gray-100">
    <div class="container">
      <h3 class="wow fadeInLeft">Security Services</h3>
      <div class="row row-md row-50">

        @foreach($elec_services as $service)
            <div class="col-sm-6 col-xl-4 wow fadeInUp" data-wow-delay="0s">
              <article class="box-icon-classic">
                <div class="unit unit-spacing-lg flex-column text-center flex-md-row text-md-left">
                  <div class="unit-left">
                      <div class="box-icon-classic-icon icomoon icomoon-cameras"></div>
                  </div>
                  <div class="unit-body">
                    <h3 class="heading-4 box-icon-classic-title"><a href="{{ route('electrical.service.details', strtolower(preg_replace('/\s+/u', '-', trim($service->name)))) }}">{{ $service->name }}</a></h3>
                    <p class="box-icon-classic-text">{!! str_limit($service->description, 80) !!}</p>
                  </div>
                </div>
              </article>
            </div>
        @endforeach

        <div class="col-sm-6 col-xl-4 wow fadeInUp" data-wow-delay=".1s">
          <article class="box-icon-classic">
            <div class="unit unit-spacing-lg flex-column text-center flex-md-row text-md-left">
              <div class="unit-left">
                <div class="box-icon-classic-icon icomoon icomoon-home"></div>
              </div>
              <div class="unit-body">
                <h3 class="heading-4 box-icon-classic-title"><a href="single-service.html">Home Automation</a></h3>
                <p class="box-icon-classic-text">Nunc sed condimentum ante. Ut dapibus nisl a convallis ultricies</p>
              </div>
            </div>
          </article>
        </div>

        <div class="col-sm-6 col-xl-4 wow fadeInUp" data-wow-delay=".2s">
          <article class="box-icon-classic">
            <div class="unit unit-spacing-lg flex-column text-center flex-md-row text-md-left">
              <div class="unit-left">
                <div class="box-icon-classic-icon icomoon icomoon-group"></div>
              </div>
              <div class="unit-body">
                <h3 class="heading-4 box-icon-classic-title"><a href="single-service.html">Fire and Life Safety</a></h3>
                <p class="box-icon-classic-text">Class aptent taciti sociosqu ad litora torquent per conubia </p>
              </div>
            </div>
          </article>
        </div>

      </div>
    </div>
  </section>
 --}}
  <!-- Our clients-->
  <section class="section section-lg bg-gray-100 text-md-left">
    <div class="container">
      <div class="row row-60 justify-content-center flex-lg-row-reverse">
        <div class="col-md-8 col-lg-6 col-xl-5">
          <div class="offset-left-xl-70">
            <h2>Our Customers</h2>
            <div class="slick-quote">
              <!-- Slick Carousel-->
              <div class="slick-slider carousel-parent" data-autoplay="true" data-swipe="true" data-items="1" data-child="#child-carousel-5" data-for="#child-carousel-5" data-slide-effect="true">
                <div class="item">
                  <!-- Quote Modern-->
                  <article class="quote-modern">
                    <h3 class="heading-5 quote-modern-text"><span class="q">I had Basheer install my security cameras at my house. I was very happy with his work so I called him to install a home alarm system and upgraded all my lights to Led. He was always very responsive and extremely reliable and his work is of very high quality. He was also very tidy and very friendly. I would highly recommend him.</span></h3>
                    <h3 class="heading-4 quote-modern-author">Chris Panayiotou,</h3>
                    <p class="quote-modern-status">Client</p>
                  </article>
                </div>
                <div class="item">
                  <!-- Quote Modern-->
                  <article class="quote-modern">
                    <h3 class="heading-5 quote-modern-text"><span class="q">Basheer and his team fit out my home with cctv, data outlets and an alarm system. Startec security were so professional they explained everything in detail. The team also cleaned up after themselves.  I totally recommend everyone to use Startec security for all your data, communications and security needs.</span></h3>
                    <h3 class="heading-4 quote-modern-author">Bekim Sikaloski,</h3>
                    <p class="quote-modern-status">Client</p>
                  </article>
                </div>
                <div class="item">
                  <!-- Quote Modern-->
                  <article class="quote-modern">
                    <h3 class="heading-5 quote-modern-text"><span class="q">I had Basheer install my security cameras at my house. And install a home alarm system and upgraded all my lights to Led. He was also very tidy and very friendly. I would highly recommend him.</span></h3>
                    <h3 class="heading-4 quote-modern-author">Hussam Waheed,</h3>
                    <p class="quote-modern-status">Client</p>
                  </article>
                </div>
                <div class="item">
                  <!-- Quote Modern-->
                  <article class="quote-modern">
                    <h3 class="heading-5 quote-modern-text"><span class="q">FluI was very happy with their CCTV installation, professional and on time. Highly Recommended.</span></h3>
                    <h3 class="heading-4 quote-modern-author">Sanjit Satishan,</h3>
                    <p class="quote-modern-status">Client</p>
                  </article>
                </div>
                
                <div class="item">
                  <!-- Quote Modern-->
                  <article class="quote-modern">
                    <h3 class="heading-5 quote-modern-text"><span class="q">Really good electrician! Light and power points done super fast and local to the Illawarra as well!</span></h3>
                    <h3 class="heading-4 quote-modern-author">Chase Forrester,</h3>
                    <p class="quote-modern-status">Client</p>
                  </article>
                </div>
                
                <div class="item">
                  <!-- Quote Modern-->
                  <article class="quote-modern">
                    <h3 class="heading-5 quote-modern-text"><span class="q">I had a great experience with STAR-TEC Security! The team was professional, efficient, and provided excellent customer service. My security system was installed seamlessly and I was impressed by the level of knowledge and expertise of the team. I highly recommend STAR-TEC Security for anyone in need of top quality security services.</span></h3>
                    <h3 class="heading-4 quote-modern-author">Fahed Haidar,</h3>
                    <p class="quote-modern-status">Client</p>
                  </article>
                </div>
                
              </div>
              <div class="slick-slider child-carousel" id="child-carousel-5" data-arrows="true" data-for=".carousel-parent" data-items="4" data-sm-items="4" data-md-items="4" data-lg-items="4" data-xl-items="4" data-slide-to-scroll="1">
                <div class="item"><img class="img-circle" src="{{ asset('/assets/uploads/default/avatar.jpg') }}" alt="" width="83" height="83"/>
                </div>
                <div class="item"><img class="img-circle" src="{{ asset('/assets/uploads/default/avatar.jpg') }}" alt="" width="83" height="83"/>
                </div>
                <div class="item"><img class="img-circle" src="{{ asset('/assets/uploads/default/avatar.jpg') }}" alt="" width="83" height="83"/>
                </div>
                <div class="item"><img class="img-circle" src="{{ asset('/assets/uploads/default/avatar.jpg') }}" alt="" width="83" height="83"/>
                </div>
                <div class="item"><img class="img-circle" src="{{ asset('/assets/uploads/default/avatar.jpg') }}" alt="" width="83" height="83"/>
                </div>
                <div class="item"><img class="img-circle" src="{{ asset('/assets/uploads/default/avatar.jpg') }}" alt="" width="83" height="83"/>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-lg-6 col-xl-7">
          <!-- Clients Classic-->
          <div class="clients-classic-wrap">

            <div class="row no-gutters">             
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/1.gif') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/2.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>                
            </div>
            
            <div class="row no-gutters">
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/3.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/4.jpg') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
            </div>

            <div class="row no-gutters">
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/5.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/6.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
            </div>


            <div class="row no-gutters">              
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/7.jpg') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/8.webp') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>               
            </div>
            
            <div class="row no-gutters">
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/9.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/10.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
            </div>

            <div class="row no-gutters">
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/11.webp') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/12.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
            </div>


            <div class="row no-gutters">              
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/13.webp') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/14.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>               
            </div>
            
            <div class="row no-gutters">
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/15.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/16.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
            </div>

            <div class="row no-gutters">
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/17.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/18.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
            </div>
            
            <div class="row no-gutters">
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/19.jpg') }}" alt="" style="scale: 0.9; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/20.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
            </div>

            <div class="row no-gutters">
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/21.webp') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/22.png') }}" alt="" style="scale: 0.7; height: 95px;" width="260" height="160"/></a></div>
              </div>
            </div>

            <div class="row no-gutters">
              <div class="col-sm-6 wow fadeInLeft">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/23.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
              <div class="col-sm-6 wow fadeInRight">
                <div class="clients-classic"><a class="clients-classic-figure" href="#"><img src="{{ asset('assets/images/home/brands/24.png') }}" alt="" style="scale: 0.6; height: 95px;" width="260" height="160"/></a></div>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
  </section>
@endsection