@extends('layouts.frontend-master')

@section('title', 'News')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">News</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li class="active">News</li>
      </ul>
    </div>
  </section>
        
  <!-- Grid Blog-->
  <section class="section section-lg bg-default">
    <div class="container">
      <div class="row row-40 row-lg-60 justify-content-center">

        @foreach($all_blogs as $key => $blog)
            <div class="col-sm-6 col-lg-4 order-md-{{ $key }} order-lg-1">
              <!-- Post Classic-->
              <article class="post post-classic {{ $key & 1 ? 'post-classic-2' : '' }}">
                <div class="post-classic-figure"><img src="{{ asset('assets/uploads/posts/'.$blog->image) }}" alt="" width="370" style="height: {{ $key & 1 ? '365' : '210' }}px;"/>
                </div>
                <div class="post-classic-content">
                  <p class="post-classic-title"><a href="{{ route('blog.details', $blog->slug ) }}">{{ $blog->title }}</a>
                  </p>
                </div>
                <time class="post-classic-time" datetime="{{ $blog->created_at }}">{{ $blog->created_at->format('F d, Y') }}</time>
              </article>
            </div>

        @endforeach

      </div>
      
      
      <div class="pagination-wrap">
          {{ $all_blogs->links('vendor.pagination.default') }}
      </div>

    </div>
  </section>

@endsection