@extends('layouts.frontend-master')

@section('title', 'News Details')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(/../images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">News Details</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li><a href="{{ route('blogs') }}">News</a></li>
        <li class="active">{{ $post->title }}</li>
      </ul>
    </div>
  </section>

  <!-- Grid News-->
  <section class="section section-lg bg-default">
    <div class="container">
      <div class="row row-60 row-xl-75">
        <div class="col-lg-8">
          <div class="single-post section-style-2">
            <h3 class="text-spacing-50 font-weight-normal text-transform-none">{{ $post->title }}</h3>
            <div class="group-md group-middle">
              <time class="post-classic-time" datetime="{{ $post->created_at }}">{{ $post->created_at->format('F d, Y') }}</time>
              <div>
                <ul class="list-inline list-inline-xl post-classic-info">
                  <!--<li class="post-classic-author"><span class="icon mdi mdi-account-outline"></span><span>by <a href="#">{{ $post->author }}</a></span></li>-->
                  <li class="post-classic-views"><span class="icon mdi mdi-eye"></span><span>{{ $post->views }}</span></li>
                  {{-- <li class="post-classic-comments"><span class="icon mdi mdi-comment-outline"></span><a href="#">3</a></li> --}}
                </ul>
              </div>
            </div>
            <p>{{ $paragraphs[0]['paragraph_note'] }}</p>
            <img src="{{ asset('assets/uploads/posts/'.$post->image) }}" alt="" width="770" height="403"/>
            @if(count($paragraphs) > 1)
                <p>{!! $paragraphs[1]['paragraph_note'] !!}</p>
            @endif
            <!-- Quote Classic-->
            
            <div class="unit unit-spacing-xl flex-column flex-md-row flex-lg-column flex-xl-row">
              
              <div class="unit-body">
                @foreach($output as $put)
                    <p>{!! $put['paragraph_note'] !!}</p>
                @endforeach
              </div>
            </div>
            <div class="single-post-footer">
              <div class="group-lg group-sm-justify">
                <h5 class="text-transform-none font-weight-normal">Share this post</h5>
                
                <div>
                  <ul class="list-inline single-post-social-list list-inline-md">
                    
                    <?php echo 
                        \Share::page(url()->current())
                              ->facebook()
                              ->twitter()
                              ->linkedin()
                              ->whatsapp();
                    ?>

                  </ul>
                </div>
                  

              </div>
            </div>
          </div>
          
            @if($related_posts->count() > 0)
                <div class="single-post-title">Related Posts</div>
                <div class="row row-lg row-30 justify-content-center">
    
                @foreach($related_posts as $related)
                    <div class="col-sm-6">
                      <!-- Post Classic-->
                      <article class="post post-classic post-classic-2">
                        <div class="post-classic-figure"><img src="{{ asset('assets/uploads/posts/'.$related->image) }}" alt="" width="370" style="height: 365px;" />
                        </div>
                        <div class="post-classic-content">
                          <p class="post-classic-title"><a href="{{ route('blog.details', $related->slug ) }}">{{ $related->title }}</a>
                          </p>
                        </div>
                        <time class="post-classic-time" datetime="{{ $related->created_at }}">{{ $related->created_at->format('F d, Y') }}</time>
                      </article>
                    </div>
                @endforeach
                
              </div>
            @endif


        </div>
        <div class="col-lg-4">
          <div class="inset-left-xl-40">
            <div class="aside row row-60 row-xl-75">
              <!--<div class="aside-item col-12">-->
              <!--  <form class="form-search rd-search form-search" action="search-results.html" method="GET">-->
              <!--    <div class="form-wrap">-->
              <!--      <label class="form-label" for="search-form-2">Search the news...</label>-->
              <!--      <input class="form-input" id="search-form-2" type="text" name="s" autocomplete="off">-->
              <!--      <button class="button-search fl-bigmug-line-search74" type="submit"></button>-->
              <!--    </div>-->
              <!--  </form>-->
              <!--</div>-->
              <div class="aside-item col-md-6 col-lg-12">
                <h5 class="aside-title">Category</h5>
                <ul class="list-marked-2 list-category-2">
                  @foreach($categories as $cat)
                      <?php 
                          $post_numbers = \App\Models\Post::where('category_id', $cat->id)->count();
                      ?>
                      <li class="{{ $post->category_id == $cat->id ? 'active-cat' : '' }}"><a href="{{ route('blog.category', str_slug($cat->name)) }}">{{ $cat->name }}</a><span class="list-category-number">{{ $post_numbers }}</span></li>
                  @endforeach
                </ul>
              </div>
              <div class="aside-item col-md-6 col-lg-12">
                <h5 class="aside-title">Popular Posts</h5>
                <div class="list-popular-post">

                  @foreach($popular_posts as $pop_post)
                      <div class="list-popular-post-item">
                        <!-- Post Minimal-->
                        <article class="post post-minimal">
                          <div class="unit unit-spacing-2 align-items-center unit-spacing-md">
                            <div class="unit-left"><a class="post-minimal-figure" href="{{ route('blog.details', $pop_post->slug ) }}"><img src="{{ asset('assets/uploads/posts/'.$pop_post->image) }}" alt="" style="height: 104px; width: 106px;"/></a></div>
                            <div class="unit-body">
                              <p class="post-minimal-title"><a href="{{ route('blog.details', $pop_post->slug ) }}">{{ $pop_post->title }}</a></p>
                              <div class="post-minimal-time">
                                <time datetime="{{ $pop_post->created_at }}">{{ $pop_post->created_at->format('F d, Y') }}</time>
                              </div>
                            </div>
                          </div>
                        </article>
                      </div>
                  @endforeach

                </div>
              </div>
              <!--<div class="aside-item col-sm-6 col-lg-12">-->
              <!--  <h5 class="aside-title">News Archive</h5>-->
              <!--  <ul class="list-marked-2">-->
              <!--    @foreach($archive as $key => $arc)-->
              <!--        <li class="{{ $key == now()->format('F Y') ? 'active-cat' : '' }}"><a href="#">{{ $key }}</a></li>-->
              <!--    @endforeach-->
              <!--  </ul>-->
              <!--</div>-->
              <div class="aside-item col-sm-6 col-lg-12">
                <h5 class="aside-title">Tags</h5>
                <div class="group-xxs group-middle justify-content-start">
                    @foreach($tags as $tag)
                        <a class="button-tags {{ in_array($tag->id, $tag_ids) ? 'active-tags' : '' }}" href="{{ route('blog.tag', str_slug($tag->tag)) }}">{{ $tag->tag }}</a>
                    @endforeach
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

@endsection

@section('scripts')
    <script src="{{ asset('js/share.js') }}"></script>
@endsection

@section('styles')
    <style type="text/css">
        .active-cat {
            color: #4BBBFA !important;
        }

        .active-cat::before {
            background-color: #4BBBFA !important;
        }

        .active-tags {
            color: #ffffff;
            background-color: #4BBBFA;
            border-color: #ffffff;
        }

        #social-links ul {
            display: inline-flex;
            gap: 25px;
            font-size: 23px;
        }
    </style>
@endsection
