<!DOCTYPE html>
<html class="wide wow-animation" lang="en">
  <head>
    <title>Shop - {{ config('app.name') }}</title>
    <meta name="format-detection" content="telephone=no">
    <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta charset="utf-8">
    <link rel="icon" href="images/favicon.ico" type="image/x-icon">
    <!-- Stylesheets-->
    <link rel="stylesheet" type="{{ asset('/frontend/text/css') }}" href="//fonts.googleapis.com/css?family=DM+Sans:400,500,700">
    <link rel="stylesheet" href="{{ asset('/frontend/css/bootstrap.css') }}">
    <link rel="stylesheet" href="{{ asset('/frontend/css/fonts.css') }}">
    <link rel="stylesheet" href="{{ asset('/frontend/css/style.css') }}" id="main-styles-link">

    <style type="text/css">
        #ui-to-top {
          display: none !important;
        }

        @media screen and (min-width: 768px) {
          #customw {
             width: 108% !important;
          }
        }
        
        @media screen and (max-width: 1199px) {
          #custserimg {
             height: 300px !important;
          }
        }
    </style>
  </head>
  <body>
    <div class="preloader">
      <div class="cssload-container">
        <svg class="filter" version="1.1">
          <defs>
            <filter id="gooeyness">
              <fegaussianblur in="SourceGraphic" stddeviation="10" result="blur"></fegaussianblur>
              <fecolormatrix in="blur" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 20 -10" result="gooeyness"></fecolormatrix>
              <fecomposite in="SourceGraphic" in2="gooeyness" operator="atop"></fecomposite>
            </filter>
          </defs>
        </svg>
        <div class="dots">
          <div class="dot mainDot"></div>
          <div class="dot"></div>
          <div class="dot"></div>
          <div class="dot"></div>
          <div class="dot"></div>
        </div>
        <p>Loading...</p>
      </div>
    </div>
    <div class="page">
      <section class="section section-single bg-image novi-background novi-background" style="background-image: url(assets/images/bg-coming-soon.jpeg);">
        <div class="section-single-inner">
          <header class="section-single-header page-header">
            <div class="page-head-inner"><a href="/"><img src="{{ asset('assets/uploads/default/logo-top-final.png') }}" style="object-fit: cover; height: 52px;" alt="" width="153" height="44"/></a></div>
          </header>

          <div class="section-single-main">
            <div class="container">
              <h2>We’re Getting Ready To Launch The @if(request()->routeIs('industry*')) Industry @elseif(request()->routeIs('projects*')) Projects @else Shop @endif In</h2>
              <!-- TimeCircles-->
              <div class="countdown-wrap" data-countdown="data-countdown" data-from="2023-01-18" data-to="2023-03-31">
                <div class="countdown-circle countdown-days" data-circle-countdown="data-circle-countdown" data-units="Days">
                  <div class="countdown-number">
                    <svg x="0px" y="0px" width="136px" height="136px" viewbox="0 0 100 100">
                      <clipPath class="progress-clip">
                        <path d=""></path>
                      </clipPath>
                      <circle class="countdown-bg" cx="50" cy="50" r="41"></circle>
                      <circle class="clipped countdown-fg" cx="50" cy="50" r="48"></circle>
                    </svg>
                    <div class="countdown-overlay">
                      <h2 class="countdown-counter"></h2>
                    </div>
                  </div>
                  <h5 class="countdown-heading">Days</h5>
                </div>
                <div class="countdown-circle countdown-hours" data-circle-countdown="data-circle-countdown" data-units="Hours">
                  <div class="countdown-number">
                    <svg x="0px" y="0px" width="136px" height="136px" viewbox="0 0 100 100">
                      <clipPath class="progress-clip">
                        <path d=""></path>
                      </clipPath>
                      <circle class="countdown-bg" cx="50" cy="50" r="41"></circle>
                      <circle class="clipped countdown-fg" cx="50" cy="50" r="48"></circle>
                    </svg>
                    <div class="countdown-overlay">
                      <h2 class="countdown-counter"></h2>
                    </div>
                  </div>
                  <h5 class="countdown-heading">Hours</h5>
                </div>
                <div class="countdown-circle countdown-minutes" data-circle-countdown="data-circle-countdown" data-units="Minutes">
                  <div class="countdown-number">
                    <svg x="0px" y="0px" width="136px" height="136px" viewbox="0 0 100 100">
                      <clipPath class="progress-clip">
                        <path d=""></path>
                      </clipPath>
                      <circle class="countdown-bg" cx="50" cy="50" r="41"></circle>
                      <circle class="clipped countdown-fg" cx="50" cy="50" r="48"></circle>
                    </svg>
                    <div class="countdown-overlay">
                      <h2 class="countdown-counter"></h2>
                    </div>
                  </div>
                  <h5 class="countdown-heading">Minutes</h5>
                </div>
                <div class="countdown-circle countdown-seconds" data-circle-countdown="data-circle-countdown" data-units="Seconds">
                  <div class="countdown-number">
                    <svg x="0px" y="0px" width="136px" height="136px" viewbox="0 0 100 100">
                      <clipPath class="progress-clip">
                        <path d=""></path>
                      </clipPath>
                      <circle class="countdown-bg" cx="50" cy="50" r="41"></circle>
                      <circle class="clipped countdown-fg" cx="50" cy="50" r="48"></circle>
                    </svg>
                    <div class="countdown-overlay">
                      <h2 class="countdown-counter"></h2>
                    </div>
                  </div>
                  <h5 class="countdown-heading">Seconds</h5>
                </div>
              </div>
              
              <div class="rd-mailform-wrap">
                <!-- RD Mailform-->
                
                  <a class="button button-winona button-lg button-primary" href="/">Back to Home</a>
                  
              </div>
            </div>
          </div>
          <div class="section-single-footer">
            <div class="container text-center">
              <!-- Rights-->
              <p class="rights"><span>&copy;&nbsp;</span><span class="copyright-year"></span><span>&nbsp;</span><span>Star Tec</span><span>.&nbsp;All Rights Reserved.&nbsp;</span></p>
            </div>
          </div>

        </div>
        <div class="box-transform" style="background-image: url(assets/images/bg-coming-soon.jpeg);"></div>
      </section>
    </div>
    <!-- Global Mailform Output-->
    <div class="snackbars" id="form-output-global"></div>
    <!-- Javascript-->
    <script src="{{ asset('/frontend/js/core.min.js') }}"></script>
    <script src="{{ asset('/frontend/js/script.js') }}"></script>

  </body>
</html>