@extends('layouts.frontend-master')

@section('title', 'FAQ')

@section('content')
  
  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">FAQ</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li class="active">FAQ</li>
      </ul>
    </div>
  </section>

  <!-- FAQ-->
      <section class="section section-lg bg-default text-md-left">
        <div class="container">
          <h2>FAQ</h2>
          <div class="card-group-custom card-group-corporate" id="accordion1" role="tablist" aria-multiselectable="false">
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading1" role="tab">
                  <div class="card-title"><a role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse1" aria-controls="accordion1Collapse1" aria-expanded="true">What kind of security systems does your company offer?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse show" id="accordion1Collapse1" role="tabpanel" aria-labelledby="accordion1Heading1">
                  <div class="card-body">
                    <p>We offer a wide range of security systems including burglar alarms, video surveillance systems, access control systems, and intercom systems.</p>
                  </div>
                </div>
              </article>
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading2" role="tab">
                  <div class="card-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse2" aria-controls="accordion1Collapse2">Can you install security systems in both residential, commercial & Indurtial properties?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse" id="accordion1Collapse2" role="tabpanel" aria-labelledby="accordion1Heading2">
                  <div class="card-body">
                    <p>Yes, we provide installation services for both residential and commercial properties.</p>
                  </div>
                </div>
              </article>
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading3" role="tab">
                  <div class="card-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse3" aria-controls="accordion1Collapse3">Do you offer free consultations?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse" id="accordion1Collapse3" role="tabpanel" aria-labelledby="accordion1Heading3">
                  <div class="card-body">
                    <p>Yes, we offer free consultations to help assess your security needs and provide customised solutions.</p>
                  </div>
                </div>
              </article>
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading4" role="tab">
                  <div class="card-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse4" aria-controls="accordion1Collapse4">How long does it take to install a security system?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse" id="accordion1Collapse4" role="tabpanel" aria-labelledby="accordion1Heading4">
                  <div class="card-body">
                    <p>The installation time will vary depending on the size and complexity of the system. Our team will provide an estimated installation time during the consultation.</p>
                  </div>
                </div>
              </article>
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading5" role="tab">
                  <div class="card-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse5" aria-controls="accordion1Collapse5">Do you provide training on how to use the security system?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse" id="accordion1Collapse5" role="tabpanel" aria-labelledby="accordion1Heading5">
                  <div class="card-body">
                    <p>Yes, we provide training to ensure that you are fully knowledgeable on how to use and operate your security system.</p>
                  </div>
                </div>
              </article>
              
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading6" role="tab">
                  <div class="card-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse6" aria-controls="accordion1Collapse6" aria-expanded="true">Do you offer 24/7 monitoring services?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse" id="accordion1Collapse6" role="tabpanel" aria-labelledby="accordion1Heading6">
                  <div class="card-body">
                    <p>Yes, we offer 24/7 monitoring services to provide round-the-clock protection for your property.</p>
                  </div>
                </div>
              </article>
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading7" role="tab">
                  <div class="card-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse7" aria-controls="accordion1Collapse7">Do you have a warranty on your products and services?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse" id="accordion1Collapse7" role="tabpanel" aria-labelledby="accordion1Heading7">
                  <div class="card-body">
                    <p>Yes, we provide a warranty on both our products and services to ensure customer satisfaction.</p>
                  </div>
                </div>
              </article>
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading8" role="tab">
                  <div class="card-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse8" aria-controls="accordion1Collapse8">What is your service area?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse" id="accordion1Collapse8" role="tabpanel" aria-labelledby="accordion1Heading8">
                  <div class="card-body">
                    <p>We provide security installation services in the Illawarra, Sydney, SouthernHighlands & Nowra.</p>
                  </div>
                </div>
              </article>
              
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading9" role="tab">
                  <div class="card-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse9" aria-controls="accordion1Collapse9">Can I add or upgrade my security system in the future?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse" id="accordion1Collapse9" role="tabpanel" aria-labelledby="accordion1Heading9">
                  <div class="card-body">
                    <p>Yes, our security systems are designed to be scalable and customisable, allowing you to add or upgrade your system as needed.</p>
                  </div>
                </div>
              </article>
              <!-- Bootstrap card-->
              <article class="card card-custom card-corporate">
                <div class="card-header" id="accordion1Heading10" role="tab">
                  <div class="card-title"><a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion1" href="#accordion1Collapse10" aria-controls="accordion1Collapse10">How do I request a quote or schedule an appointment?
                      <div class="card-arrow"></div></a>
                  </div>
                </div>
                <div class="collapse" id="accordion1Collapse10" role="tabpanel" aria-labelledby="accordion1Heading10">
                  <div class="card-body">
                    <p>You can request a quote or schedule an appointment by contacting us through our website, email or phone.</p>
                  </div>
                </div>
              </article>
              
          </div>
        </div>
      </section>

@endsection