@extends('layouts.frontend-master')

@section('title', 'All Industries')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">All Industries</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li class="active">All Industries</li>
      </ul>
    </div>
  </section>
        
  <!-- Services-->
  <section class="section section-lg bg-default">
    <div class="container">
      <div class="row row-60">
        <div class="col-md-7 col-xl-8">
          <div class="row row-40">

            @foreach($all_industries as $industry)
                <div class="col-lg-12 col-xl-6">
                  <!-- Services Classic-->
                  <article class="services-classic"><a class="services-classic-figure" href="{{ route('industry.details', $industry->slug) }}"><img src="{{ asset('assets/uploads/industries/'.$industry->image) }}" alt="" width="370" height="274" style="height:260px;object-fit: cover;" /></a>
                    <div class="services-classic-caption">
                      <div class="unit align-items-lg-center">
                        
                        <div class="unit-body">
                          <h4 class="services-classic-title"><a href="{{ route('industry.details', $industry->slug) }}">{{ str_limit($industry->short_name, 40) }}</a></h4>
                          <p class="services-classic-text">{!! str_limit($industry->title, 100) !!}</p>
                        </div>
                      </div>
                    </div>
                  </article>
                </div>
            @endforeach
            
          </div>
        </div>

      </div>
    </div>
  </section>

@endsection