@extends('layouts.frontend-master')

@section('title', 'Industry Details')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(/../images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h4>
          Industry Details
        </h4>
        <h1 class="breadcrumbs-custom-title" style="margin-top: 7px;">{{ $industry->short_name }}</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li><a href="{{ route('industry') }}">Industries</a></li>
        <li class="active">{{ $industry->short_name }}</li>
      </ul>
    </div>
  </section>

  <!-- Industry Page-->
  <section class="section section-lg bg-default text-md-left">
    <div class="container">
      <div class="row row-60 flex-lg-row-reverse">

        <div class="col-lg-5 col-xl-5">
          
            <div class="slick-project">

                <!-- Slick Carousel-->
                <div class="slick-slider carousel-parent" data-arrows="true" data-autoplay="true" data-swipe="true" data-items="1" data-slide-effect="true">

                  <div class="item"><img src="{{ asset('assets/uploads/industries/'.$industry->image) }}" alt="" width="670" height="477" style="height: 477px;" />
                      <div class="slick-project-caption">
                        <div class="slick-project-title">{{ $industry->short_name }}</div>
                      </div>
                    </div>
                  
                </div>
              
            </div>
          
        </div>

        <div class="col-lg-7 col-xl-7">
          <div class="project-page">
            <h2>{{ $industry->title }}</h2>
            <br>
            {!! $industry->details !!}
            
            <div class="group-sm group-middle"><span class="project-page-social-title">Share</span>
              <div>
                <ul class="list-inline project-page-social-list">
                    <?php echo 
                          \Share::page(url()->current())
                                ->facebook()
                                ->twitter()
                                ->linkedin()
                                ->whatsapp();
                      ?>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>

      <br><br>

      <h4 class="text-center">
          <mark>{{ $industry->include_title }}</mark>
      </h4>

      <div class="row row-50 flex-xl-row-reverse">
              
            @foreach($includes as $key => $output)
              <div class="col-6">
                  
                  <div class="card-group-custom card-group-corporate" role="tablist" aria-multiselectable="false">

                      <article class="card card-custom card-corporate">
                        <div class="card-header" role="tab">
                          <div class="card-title"><a class="collapsed" role="button"><i class="fa fa-check"></i> {{ $output['include_name'] }}
                              </a>
                          </div>
                        </div>
                      </article>
                    
                  </div>
                    
              </div> 

              {{-- <div class="col-6 text-center">
                  <ul class="d-inline-block d-inline-md-block">
                    
                        <li> <i class="fa fa-google"></i> {{ $output['include_name'] }} </li>

                  </ul>
              </div>   --}}    
            @endforeach

      </div>

    </div>
  </section>

@endsection

@section('scripts')
    <script src="{{ asset('js/share.js') }}"></script>
@endsection

@section('styles')
    <style type="text/css">

        #social-links ul {
            display: inline-flex;
            gap: 25px;
            font-size: 23px;
        }
        
    </style>
@endsection

