@extends('layouts.frontend-master')

@section('title', 'Projects')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">Projects</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li class="active">Projects</li>
      </ul>
    </div>
  </section>
        
  <!-- Projects -->
  <section class="section section-lg bg-default">
    <div class="container">
      <div class="row" data-lightgallery="group">
        
        @foreach($all_projects as $project)
            <?php
                $images = array (json_decode($project->images));
                $image = reset($images[0]);
            ?>
            
            <div class="col-md-6">
              <!-- Thumbnail Classic-->
              <article class="thumbnail thumbnail-classic thumbnail-lg">
                  
                  <a class="thumbnail-classic-figure" href="{{ asset('assets/uploads/projects/'.$image) }}" data-lightgallery="item">
                      <img src="{{ asset('assets/uploads/projects/'.$image) }}" alt="" width="570" style="height: 299px;" />
                  </a>
                  
                  <div class="thumbnail-classic-caption">
                    <h6 class="thumbnail-classic-title"><a href="{{ route('project.details', str_slug($project->title)) }}">{{ $project->title }}</a></h6>
                    <div class="thumbnail-classic-time">
                      <time datetime="{{ $project->created_at }}">{{ $project->created_at->format('F d, Y') }}</time>
                    </div>
                  </div>

              </article>
            </div>

        @endforeach

      </div>
    </div>
  </section>

@endsection