@extends('layouts.frontend-master')

@section('title', 'Project Details')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(/../images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">Project Details</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li><a href="{{ route('projects') }}">Projects</a></li>
        <li class="active">{{ $project->title }}</li>
      </ul>
    </div>
  </section>

  <!-- Project Page-->
  <section class="section section-lg bg-default text-md-left">
    <div class="container">
      <div class="row row-60 flex-lg-row-reverse">
        <div class="col-lg-6 col-xl-7">
          
            <div class="slick-project">

                <!-- Slick Carousel-->
                <div class="slick-slider carousel-parent" data-arrows="true" data-autoplay="true" data-swipe="true" data-items="1" data-child="#child-carousel-{{ count($images) }}" data-for="#child-carousel-{{ count($images) }}" data-slide-effect="true">

                  @foreach($images as $key => $image)
                      <div class="item"><img src="{{ asset('assets/uploads/projects/'.$image) }}" alt="" width="670" height="477" style="height: 477px;" />
                        <div class="slick-project-caption">
                          <div class="slick-project-title">{{ $key }}</div>
                        </div>
                      </div>
                  @endforeach
                  
                </div>

              
                <div class="slick-slider child-carousel" id="child-carousel-{{ count($images) }}" data-for=".carousel-parent" data-items="3" data-sm-items="3" data-md-items="4" data-lg-items="3" data-xl-items="4" data-slide-to-scroll="1">
                  
                  @foreach($images as $key => $image)
                      <div class="item"><img src="{{ asset('assets/uploads/projects/'.$image) }}" alt="" style="height: 115px;" />
                      </div>
                  @endforeach
                  
                </div>
              
            </div>
          
        </div>
        <div class="col-lg-6 col-xl-5">
          <div class="project-page">
            <h2>{{ $project->title }}</h2>
            <br>
            {!! $project->details !!}
            
            <div class="group-sm group-middle"><span class="project-page-social-title">Share</span>
              <div>
                <ul class="list-inline project-page-social-list">
                    <?php echo 
                          \Share::page(url()->current())
                                ->facebook()
                                ->twitter()
                                ->linkedin()
                                ->whatsapp();
                      ?>
                </ul>
              </div>
            </div><a class="button button-lg button-primary button-winona" href="contacts.html">Contact Us</a>
          </div>
        </div>
      </div>
    </div>
  </section>

@endsection

@section('scripts')
    <script src="{{ asset('js/share.js') }}"></script>
@endsection

@section('styles')
    <style type="text/css">

        #social-links ul {
            display: inline-flex;
            gap: 25px;
            font-size: 23px;
        }
        
    </style>
@endsection

