@extends('layouts.frontend-master')

@section('title', 'Shopping Cart')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(/../images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">Shopping Cart</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li><a href="{{ route('shop') }}">Shop</a></li>
        <li class="active">Cart</li>
      </ul>
    </div>
  </section>

  <!-- Shopping Cart-->
  <section class="section section-lg bg-default">
    <div class="container">
      <!-- shopping-cart-->
      <div class="table-custom-responsive">
        <table class="table-custom table-cart">
          <thead>
            <tr>
              <th>Product name</th>
              <th>Price</th>
              <th>Quantity</th>
              <th>Total</th>
              <th>Remove</th>
            </tr>
          </thead>
          <tbody>
            @foreach($cart_items as $item)
                <tr>
                  <td>
                    <a class="table-cart-figure" href="{{ route('product.details', str_slug($item->name)) }}">
                        <img src="{{ asset('assets/uploads/products/'.$item->attributes->image) }}" alt="" width="146" height="132"/>
                    </a>
                    <a class="table-cart-link" href="{{ route('product.details', str_slug($item->name)) }}">{{ $item->name }}</a>
                  </td>

                  <td>${{ $item->price }}</td>
                  <td>
                    
                      <div class="table-cart-stepper">

                        <form action="{{ route('shop.cart.update') }}" method="POST">
                          @csrf

                            <input type="hidden" name="id" value="{{ $item->id}}" >
                            <input class="form-input" type="number" name="quantity" value="{{ $item->quantity }}" min="1" max="1000"> 

                            <button class="" type="submit" style="margin-top: 0px;font-size: 12px;background: rgb(52, 168, 83); border: 1px solid rgb(52, 168, 83); border-radius: 3px; color: #fff;">Update</button>
                            
                        </form>                     
                      </div>
                    

                  </td>
                  <td>${{ \Cart::get($item->id)->getPriceSum() }}</td>
                  
                  <td>
                      <form action="{{ route('shop.cart.remove') }}" method="POST">
                        @csrf

                          <input type="hidden" value="{{ $item->id }}" name="id">
                          <button class="" type="submit" style="margin-top: 0px; width: 45px; background: #fff; border: 1px solid #f46a6a; color: #f46a6a;">x</button>
                      </form>
                  </td>

                </tr>
            @endforeach
          </tbody>
        </table>
      </div>
      <div class="group-xxxl group-middle justify-content-md-end">
        @if(!\Cart::isEmpty())
            <form action="{{ route('shop.cart.clear') }}" method="POST" style="margin-right: auto;">
              @csrf
                <button class="button button-primary button-winona" onclick="return confirm('Are you sure to clear all the items of the cart?')" type="submit" style="margin-top: 0px;">Clear Cart</button>
            </form>
        @endif

        <div style="margin-left: auto;">
          <div class="group-xxl group-middle">
            <p class="big text-gray-500">Total</p>
            <h2 class="font-family-sec text-spacing-75">${{ \Cart::getTotal() }}</h2>
          </div>
        </div>
        
        {{-- <form action="" method="POST" style="margin-left: auto;">
          
            <button class="button button-lg button-icon button-icon-right button-gray-3" type="submit" style="margin-top: 0px;"><span class="icon mdi mdi-chevron-right"></span>Checkout</button>
        </form> --}}
        <a class="button button-lg button-icon button-icon-right button-gray-3" href="{{ route('shop.checkout') }}" style="margin-top: 0px; margin-left: auto;"><span class="icon mdi mdi-chevron-right"></span>Checkout</a>
        
      </div>
    </div>
  </section>

@endsection

@section('scripts')
    <script src="{{ asset('js/share.js') }}"></script>
@endsection

@section('styles')
    <style type="text/css">

        #social-links ul {
            display: inline-flex;
            gap: 25px;
            font-size: 23px;
        }

        .stepper {
            margin-top: 35px !important;
        }

    </style>
@endsection

