@extends('layouts.frontend-master')

@section('title', 'Shop')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(/../images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title"> Shop: {{ $cat->name }}</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li><a href="{{ route('shop') }}">Shop</a></li>
        <li class="active">{{ $cat->name }}</li>
      </ul>
    </div>
  </section>
        
  <!-- Section Shop-->
  <section class="section section-lg bg-default text-md-left">
    <div class="container">
      <div class="row row-60">
        <div class="col-lg-4 col-xl-3">
          <div class="aside row row-60">
            <div class="aside-item col-sm-6 col-lg-12">
              <h5 class="aside-title">Category</h5>
              <ul class="list-marked-2">
                @foreach($pro_categories as $category)
                    <li class="{{ $category->id == $cat->id ? 'active-cat':'' }}"><a href="{{ route('shop.category', str_slug($category->name) ) }}">{{ $category->name }}</a></li>
                @endforeach
              </ul>
              <!-- RD Search Form-->
              <form class="form-search rd-search form-search" action="{{ route('shop') }}" method="GET">
                <div class="form-wrap">
                  <label class="form-label" for="search-form">Search..</label>
                  <input class="form-input" id="search-form" type="text" name="search" value="{{ request('search') ? request('search') : '' }}" autocomplete="off">
                  <button class="button-search fl-bigmug-line-search74" type="submit"></button>
                </div>
              </form>
            </div>

            {{-- <div class="aside-item col-sm-6 col-lg-12 order-lg-2">
              <h5 class="aside-title">Popular Products</h5>
              <div class="list-popular-product">
                <div class="list-popular-product-item">
                  <!-- Product Minimal-->
                  <article class="product-minimal unit unit-spacing-md">
                    <div class="unit-left"><a class="product-minimal-figure" href="single-product.html"><img src="images/product-mini-1-106x104.jpg" alt="" width="106" height="104"/></a></div>
                    <div class="unit-body">
                      <p class="product-minimal-title"><a href="single-product.html">HomeSmart Wi-Fi Smart Lock Keyless Entry</a></p>
                      <p class="product-minimal-price">$28.00</p>
                    </div>
                  </article>
                </div>
                <div class="list-popular-product-item">
                  <!-- Product Minimal-->
                  <article class="product-minimal unit unit-spacing-md">
                    <div class="unit-left"><a class="product-minimal-figure" href="single-product.html"><img src="images/product-mini-2-106x104.jpg" alt="" width="106" height="104"/></a></div>
                    <div class="unit-body">
                      <p class="product-minimal-title"><a href="single-product.html">UltraTech 8&quot; HD Tablet with Quad-Core Processor</a></p>
                      <p class="product-minimal-price">$36.00</p>
                    </div>
                  </article>
                </div>
              </div>
            </div> --}}
            
            <div class="aside-item col-12">
              <h5 class="aside-title">Filter by Price</h5>
              <!-- RD Range-->
              <div class="rd-range" data-min="1" data-max="999" data-min-diff="50" data-start="[{{ request('min_price') ? request('min_price') : 50 }}, {{ request('max_price') ? request('max_price') : 200 }}]" data-step="1" data-tooltip="false" data-input=".rd-range-input-value-1" data-input-2=".rd-range-input-value-2"></div>
              <div class="group-md group-justify">
                <form action="" method="GET">
                    <div>
                      <button class="button button-xs button-default button-winona" type="submit">Filter</button>
                    </div>
                    <div>
                      <div class="rd-range-wrap">
                        <div class="rd-range-title">Price:</div>
                        <div class="rd-range-form-wrap">
                          <input class="rd-range-input rd-range-input-value-1" id="test" value="{{ request('min_price') ? request('min_price') : "" }}" type="text" name="min_price"><span>$</span>
                        </div>
                        <div class="rd-range-divider"></div>
                        <div class="rd-range-form-wrap">
                          <input class="rd-range-input rd-range-input-value-2" type="text" value="{{ request('max_price') ? request('max_price') : "" }}" name="max_price"><span>$</span>
                        </div>
                      </div>
                    </div>
                </form>

              </div>
            </div>
            
          </div>
        </div>
        <div class="col-lg-8 col-xl-9">
          <div class="product-top-panel group-md">
            <h5 class="product-top-panel-title">Showing {{ $products->count() }} of {{ $all }} results</h5>
            <div class="product-top-panel-sorting">
                <form action="{{ route('shop.category', str_slug($cat->name)) }}" method="GET">
                    <select class="form-input" onchange="this.form.submit()" name="filter" data-minimum-results-for-search="Infinity" data-constraints="@Required">
                        <option value="newness">Sort by newness</option>
                        <option value="high-to-low" {{ request()->query('filter') == 'high-to-low' ? 'selected':'' }}>Sort by price (High To Low)</option>
                        <option value="low-to-high" {{ request()->query('filter') == 'low-to-high' ? 'selected':'' }}>Sort by price (Low To High)</option>
                    </select>
                </form>
            </div>
          </div>
          <div class="row row-30 row-md-40 row-xl-60">
              
              @foreach($products as $product)
                  <?php 
                      $imgs = json_decode($product->images);
                  ?>
                  <div class="col-sm-6 col-xl-4">
                    <!-- Product-->
                    <article class="product">
                      <div class="product-figure"><img src="{{ asset('assets/uploads/products/'.$imgs[0]) }}" alt="" style="width: 195px; height: 173px;" />
                      </div>
                      <div class="product-rating"><span class="mdi mdi-star"></span><span class="mdi mdi-star"></span><span class="mdi mdi-star"></span><span class="mdi mdi-star"></span><span class="mdi mdi-star text-gray-13"></span>
                      </div>
                      <h5 class="product-title">{{ $product->name }}</h5>
                      <div class="product-price-wrap">
                        <div class="product-price">${{ $product->price }}</div>
                      </div>
                      <div class="product-button">
                        <div class="button-wrap"><a class="button button-xs button-primary button-winona" href="cart-page.html">Add to cart</a></div>
                        <div class="button-wrap"><a class="button button-xs button-default button-winona" href="single-product.html">View Product</a></div>
                      </div>
                    </article>
                  </div>
              @endforeach

          </div>

          <div class="pagination-wrap">
              {{ $products->links('vendor.pagination.default') }}
          </div>

        </div>
      </div>
    </div>
  </section>

@endsection

@section('styles')
    <style type="text/css">
        .active-cat {
            color: #4BBBFA !important;
        }

        .active-cat::before {
            background-color: #4BBBFA !important;
        }
    </style>
@endsection
