@extends('layouts.frontend-master')

@section('title', 'Checkout')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(/../images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">Checkout</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li><a href="{{ route('shop') }}">Shop</a></li>
        <li class="active">Checkout</li>
      </ul>
    </div>
  </section>

  <!-- Shopping Cart-->
  <section class="section section-sm bg-default text-md-left" style="margin-bottom: -40px;">
    <div class="container">
      <!-- shopping-cart-->
      <h3>Your Cart</h3>
      <div class="table-custom-responsive">
        <table class="table-custom table-cart">
          <thead>
            <tr>
              <th>Product name</th>
              <th>Price</th>
              <th>Quantity</th>
              <th>Total</th>
              <th>Remove</th>
            </tr>
          </thead>
          <tbody>
            @foreach($cart_items as $item)
                <tr>
                  <td>
                    <a class="table-cart-figure" href="{{ route('product.details', str_slug($item->name)) }}">
                        <img src="{{ asset('assets/uploads/products/'.$item->attributes->image) }}" alt="" width="146" height="132"/>
                    </a>
                    <a class="table-cart-link" href="{{ route('product.details', str_slug($item->name)) }}">{{ $item->name }}</a>
                  </td>

                  <td>${{ $item->price }}</td>
                  <td>
                    
                      <div class="table-cart-stepper">

                        <form action="{{ route('shop.cart.update') }}" method="POST">
                          @csrf

                            <input type="hidden" name="id" value="{{ $item->id}}" >
                            <input class="form-input" type="number" name="quantity" value="{{ $item->quantity }}" min="1" max="1000"> 

                            <button class="" type="submit" style="margin-top: 0px;font-size: 12px;background: rgb(52, 168, 83); border: 1px solid rgb(52, 168, 83); border-radius: 3px; color: #fff;">Update</button>
                            
                        </form>                     
                      </div>
                    

                  </td>
                  <td>${{ \Cart::get($item->id)->getPriceSum() }}</td>
                  
                  <td>
                      <form action="{{ route('shop.cart.remove') }}" method="POST">
                        @csrf

                          <input type="hidden" value="{{ $item->id }}" name="id">
                          <button class="" type="submit" style="margin-top: 0px; width: 45px; background: #fff; border: 1px solid #f46a6a; color: #f46a6a;">x</button>
                      </form>
                  </td>

                </tr>
            @endforeach
          </tbody>
        </table>
      </div>
      
    </div>
  </section>

  @if(count($errors) > 0)
      <br>
      <div style="background: #f8d7da; border: 1px solid #f5c2c7; padding: 1rem 1rem; margin-bottom: 1rem; border-radius: 0.25rem;">
          <x-jet-validation-errors class="mb-4 my-2" style="color: #842029 !important;" />
      </div>
  @endif


  <form class="rd-form rd-mailform form-checkout" name="theForm" action="{{ route('make.payment') }}" method="get">
      
      <!-- Section checkout form-->
      <section class="section section-sm section-first bg-default text-md-left">
        <div class="container">
          <div class="row row-50 justify-content-center">
            <div class="col-md-10 col-lg-6">
              <h3>Billing Address</h3>
              
                <div class="row row-14 gutters-14">
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-first-name-1" type="text" name="bill_first_name" data-constraints="@Required"/>
                      <label class="form-label" for="checkout-first-name-1">First Name</label>
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-last-name-1" type="text" name="bill_last_name" data-constraints="@Required"/>
                      <label class="form-label" for="checkout-last-name-1">Last Name</label>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-company-1" type="text" name="bill_company" data-constraints="@Required"/>
                      <label class="form-label" for="checkout-company-1">Company</label>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-address-1" type="text" name="bill_address" data-constraints="@Required"/>
                      <label class="form-label" for="checkout-address-1">Address</label>
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-postcode-1" type="text" name="bill_postcode" data-constraints="@Required"/>
                      <label class="form-label" for="checkout-postcode-1">Postcode</label>
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-city-1" type="text" name="bill_city" data-constraints="@Required"/>
                      <label class="form-label" for="checkout-city-1">City</label>
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-email-1" type="email" name="bill_email" data-constraints="@Email @Required"/>
                      <label class="form-label" for="checkout-email-1">E-Mail</label>
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-phone-1" type="text" name="bill_phone" data-constraints="@Required"/>
                      <label class="form-label" for="checkout-phone-1">Phone</label>
                    </div>
                  </div>
                </div>
                <label class="checkbox-inline">
                  <input name="input-checkbox-1" onclick="validateCheck()" id="sameCheck" value="checkbox-1" type="checkbox"/>My Billing Address and Shipping Address are the same
                </label>
              
            </div>
            <div class="col-md-10 col-lg-6">
              <h3>Delivery Address</h3>
              
                <div class="row row-14 gutters-14">
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-first-name-2" type="text" name="del_first_name" placeholder="First Name" data-constraints="@Required"/>
                      
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-last-name-2" type="text" name="del_last_name" placeholder="Last Name" data-constraints="@Required"/>
                      
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-company-2" type="text" name="del_company" placeholder="Company" data-constraints="@Required"/>
                      
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-address-2" type="text" name="del_address" placeholder="Address" data-constraints="@Required"/>
                      
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-postcode-2" type="text" name="del_postcode" placeholder="Postcode" data-constraints="@Required"/>
                      
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-city-2" type="text" name="del_city" placeholder="City" data-constraints="@Required"/>

                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-email-2" type="email" name="del_email" placeholder="E-Mail" data-constraints="@Email @Required"/>

                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-wrap">
                      <input class="form-input" id="checkout-phone-2" type="text" name="del_phone" placeholder="Phone" data-constraints="@Required"/>

                    </div>
                  </div>
                </div>
              
            </div>
          </div>
        </div>
      </section>

      <!-- Section Payment-->
      <section class="section section-sm section-last bg-default text-md-left">
        <div class="container">
          <div class="row row-50 justify-content-center">
            
            <div class="col-md-10 col-lg-8">
              <h3>Cart totals</h3>

              <div class="table-custom-responsive">
                <table class="table-custom table-custom-primary table-checkout">
                  <tbody>
                    <tr>
                      <td>Cart Subtotal</td>
                      <td>${{ \Cart::getSubTotal() }}</td>
                    </tr>
                    <tr>
                      <td>Shipping</td>
                      <td>Free</td>
                    </tr>
                    <tr>
                      <td>Total</td>
                      <td>${{ \Cart::getTotal() }}</td>
                    </tr>
                  </tbody>
                </table>
              </div>

            </div>

            <div class="col-md-10 col-lg-4" style="margin: auto;">
              <div class="button-wrap text-center">
                <button class="button button-lg button-width-240 button-primary button-winona" style="width: 80%;">Confirm Order</button> <br>
              </div>
            </div>

          </div>
          
        </div>
      </section>

  </form>

@endsection

@section('scripts')
    <script src="{{ asset('js/share.js') }}"></script>

    <script type="text/javascript">
        function validateCheck() {
            if (document.getElementById('sameCheck').checked) {
                
                document.getElementById('checkout-first-name-2').value = document.getElementById('checkout-first-name-1').value;

                document.getElementById('checkout-last-name-2').value = document.getElementById('checkout-last-name-1').value;

                document.getElementById('checkout-company-2').value = document.getElementById('checkout-company-1').value;

                document.getElementById('checkout-address-2').value = document.getElementById('checkout-address-1').value;

                document.getElementById('checkout-postcode-2').value = document.getElementById('checkout-postcode-1').value;

                document.getElementById('checkout-city-2').value = document.getElementById('checkout-city-1').value;

                document.getElementById('checkout-email-2').value = document.getElementById('checkout-email-1').value;

                document.getElementById('checkout-phone-2').value = document.getElementById('checkout-phone-1').value;

            } else {
                document.getElementById('checkout-first-name-2').value = '';
                document.getElementById('checkout-last-name-2').value = '';
                document.getElementById('checkout-company-2').value = '';
                document.getElementById('checkout-address-2').value = '';
                document.getElementById('checkout-postcode-2').value = '';
                document.getElementById('checkout-city-2').value = '';
                document.getElementById('checkout-email-2').value = '';
                document.getElementById('checkout-phone-2').value = '';
            }
        }
    </script>

@endsection

@section('styles')
    <style type="text/css">

        #social-links ul {
            display: inline-flex;
            gap: 25px;
            font-size: 23px;
        }

        .stepper {
            margin-top: 35px !important;
        }

        .hide {
            display: none;
        }

    </style>
@endsection

