@extends('layouts.frontend-master')

@section('title', 'Complete Purchase')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(/../images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">Complete Purchase</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li><a href="{{ route('shop') }}">Shop</a></li>
        <li class="active">Complete Purchase</li>
      </ul>
    </div>
  </section>

  <!-- Section checkout form-->
  <section class="section section-sm section-first bg-default text-md-left">
    <div class="container">
      <div class="row row-50 justify-content-center">
        <div class="col-md-10 col-lg-6">
          <h3>Billing Address</h3>
          
            <div class="row row-14 gutters-14">
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-first-name-1" type="text" value="{{ request()->bill_first_name }}" name="bill_first_name"/>
                  <label class="form-label" for="checkout-first-name-1">First Name</label>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-last-name-1" type="text" value="{{ request()->bill_last_name }}" name="bill_last_name"/>
                  <label class="form-label" for="checkout-last-name-1">Last Name</label>
                </div>
              </div>
              <div class="col-12">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-company-1" type="text" value="{{ request()->bill_company }}" name="bill_company"/>
                  <label class="form-label" for="checkout-company-1">Company</label>
                </div>
              </div>
              <div class="col-12">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-address-1" type="text" value="{{ request()->bill_address }}" name="bill_address"/>
                  <label class="form-label" for="checkout-address-1">Address</label>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-postcode-1" type="text" value="{{ request()->bill_postcode }}" name="bill_postcode"/>
                  <label class="form-label" for="checkout-postcode-1">Postcode</label>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-city-1" type="text" value="{{ request()->bill_city }}" name="bill_city"/>
                  <label class="form-label" for="checkout-city-1">City</label>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-email-1" type="email" value="{{ request()->bill_email }}" name="bill_email"/>
                  <label class="form-label" for="checkout-email-1">E-Mail</label>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-phone-1" type="text" value="{{ request()->bill_phone }}" name="bill_phone"/>
                  <label class="form-label" for="checkout-phone-1">Phone</label>
                </div>
              </div>
            </div>
            
        </div>
        <div class="col-md-10 col-lg-6">
          <h3>Delivery Address</h3>
          
            <div class="row row-14 gutters-14">
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-first-name-2" type="text" value="{{ request()->del_first_name }}" name="del_first_name" placeholder="First Name"/>
                  
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-last-name-2" type="text" value="{{ request()->del_last_name }}" name="del_last_name" placeholder="Last Name"/>
                  
                </div>
              </div>
              <div class="col-12">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-company-2" type="text" value="{{ request()->del_company }}" name="del_company" placeholder="Company"/>
                  
                </div>
              </div>
              <div class="col-12">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-address-2" type="text" value="{{ request()->del_address }}" name="del_address" placeholder="Address"/>
                  
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-postcode-2" type="text" value="{{ request()->del_postcode }}" name="del_postcode" placeholder="Postcode"/>
                  
                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-city-2" type="text" value="{{ request()->del_city }}" name="del_city" placeholder="City"/>

                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-email-2" type="email" value="{{ request()->del_email }}" name="del_email" placeholder="E-Mail"/>

                </div>
              </div>
              <div class="col-sm-6">
                <div class="form-wrap">
                  <input class="form-input" readonly id="checkout-phone-2" type="text" value="{{ request()->del_phone }}" name="del_phone" placeholder="Phone"/>

                </div>
              </div>
            </div>
          
        </div>
      </div>
    </div>
  </section>

  
  <!-- Section Payment-->
  <section class="section section-sm section-last bg-default text-md-left">
    <div class="container">
      <div class="row row-50 justify-content-center">

        <div class="col-md-10 col-lg-5">
          <h3>Payment Details</h3>

          <div class="table-custom-responsive">
            <table class="table-custom table-custom-primary table-checkout">
              <tbody>
                <tr>
                  <td>Cart Subtotal</td>
                  <td>${{ \Cart::getSubTotal() }}</td>
                </tr>
                <tr>
                  <td>Shipping</td>
                  <td>Free</td>
                </tr>
                <tr>
                  <td>Grand Total</td>
                  <td>${{ \Cart::getTotal() }}</td>
                </tr>
              </tbody>
            </table>
          </div>

        </div>

        <div class="col-md-10 col-lg-7">
          <h3>Pay With Cards</h3>

              <form role="form" action="{{ route('make.stripe.payment') }}" method="post" name="theForm" class="validation rd-form" data-cc-on-file="false" data-stripe-publishable-key="pk_test_51HTXM9LlJ7MCoKylcyIDBrswA5HHnaZe6MsYi82GIthVYKKK5pIc4ZVT9JOtvgwy5XVcJpdaq7BnYcl1LF9XqcS500kwqFD5tC" id="payment-form">

                <input type="hidden" value="{{ request()->bill_first_name }}" name="bill_first_name"/>
                <input type="hidden" value="{{ request()->bill_last_name }}" name="bill_last_name"/>
                <input type="hidden" value="{{ request()->bill_company }}" name="bill_company"/>
                <input type="hidden" value="{{ request()->bill_address }}" name="bill_address"/>
                <input type="hidden" value="{{ request()->bill_postcode }}" name="bill_postcode"/>
                <input type="hidden" value="{{ request()->bill_city }}" name="bill_city"/>
                <input type="hidden" value="{{ request()->bill_email }}" name="bill_email"/>
                <input type="hidden" value="{{ request()->bill_phone }}" name="bill_phone"/>

                <input type="hidden" value="{{ request()->del_first_name }}" name="del_first_name"/>
                <input type="hidden" value="{{ request()->del_last_name }}" name="del_last_name"/>
                <input type="hidden" value="{{ request()->del_company }}" name="del_company"/>
                <input type="hidden" value="{{ request()->del_address }}" name="del_address"/>
                <input type="hidden" value="{{ request()->del_postcode }}" name="del_postcode"/>
                <input type="hidden" value="{{ request()->del_city }}" name="del_city"/>
                <input type="hidden" value="{{ request()->del_email }}" name="del_email"/>
                <input type="hidden" value="{{ request()->del_phone }}" name="del_phone"/>

                @csrf

                <div class="row row-20 gutters-20">

                  <div class="col-md-12 required">
                    <div class="form-wrap">
                      <input class="form-input" id="contact-your-name-5" type="text" size="4" data-constraints="@Required">
                      <label class="form-label" for="contact-your-name-5">Name on Card</label>
                    </div>
                  </div>

                  <div class="col-md-12 required">
                    <div class="form-wrap">
                      <input class="form-input card-num" id="contact-card-number-5" type="text" size="20" data-constraints="@Required">
                      <label class="form-label" for="contact-card-number-5">Card Number</label>
                    </div>
                  </div>                 
                    
                  <div class='col-xs-12 col-md-4 cvc required'>
                    <div class="form-wrap">
                      <input class='form-input card-cvc' id="cvc-5" size='4' type='text' data-constraints="@Required">
                      <label class="form-label" for="cvc-5">CVC</label>
                    </div>
                  </div>

                  <div class='col-xs-12 col-md-4 expiration required'>
                    <div class="form-wrap">
                      <input class='form-input card-expiry-month' id="mm-5" size='2' type='text' data-constraints="@Required">
                      <label class="form-label" for="mm-5">MM</label>
                    </div>
                  </div>

                  <div class='col-xs-12 col-md-4 expiration required'>
                    <div class="form-wrap">
                      <input class='form-input card-expiry-year' id="yyyy-5" size='4' type='text' data-constraints="@Required">
                      <label class="form-label" for="yyyy-5">YYYY</label>
                    </div>
                  </div>

                  <div class='col-md-12 hide error form-group'>
                      <div style="background: #f8d7da; border: 1px solid #f5c2c7; padding: 0.5rem 1rem; margin-bottom: 0.5rem; border-radius: 0.25rem;">
                          <p class="my-2" style="color: #842029 !important;">Please provide valid information to pay. </p>
                      </div>
                  </div>
                    
                  
                </div>

                <button class="button button-primary button-winona" style="width: 100%;" type="submit">Buy Now (${{ \Cart::getTotal() }})</button>
              </form>
          
        </div>
        
      </div>

    </div>
  </section>

@endsection

@section('scripts')

    <script type="text/javascript" src="https://js.stripe.com/v2/"></script>
  
    <script type="text/javascript">
        $(function() {
            var $form         = $(".validation");
          $('form.validation').bind('submit', function(e) {
            var $form         = $(".validation"),
                inputVal = ['input[type=email]', 'input[type=password]',
                                 'input[type=text]', 'input[type=file]',
                                 'textarea'].join(', '),
                $inputs       = $form.find('.required').find(inputVal),
                $errorStatus = $form.find('div.error'),
                valid         = true;
                $errorStatus.addClass('hide');
         
                $('.has-error').removeClass('has-error');
            $inputs.each(function(i, el) {
              var $input = $(el);
              if ($input.val() === '') {
                $input.parent().addClass('has-error');
                $errorStatus.removeClass('hide');
                e.preventDefault();
              }
            });
          
            if (!$form.data('cc-on-file')) {
              e.preventDefault();
              Stripe.setPublishableKey($form.data('stripe-publishable-key'));
              Stripe.createToken({
                number: $('.card-num').val(),
                cvc: $('.card-cvc').val(),
                exp_month: $('.card-expiry-month').val(),
                exp_year: $('.card-expiry-year').val()
              }, stripeHandleResponse);
            }
          
          });
          
          function stripeHandleResponse(status, response) {
                if (response.error) {
                    $('.error')
                        .removeClass('hide')
                        .find('.alert')
                        .text(response.error.message);
                } else {
                    var token = response['id'];
                    $form.find('input[type=text]').empty();
                    $form.append("<input type='hidden' name='stripeToken' value='" + token + "'/>");
                    $form.get(0).submit();
                }
            }
          
        });
    </script>

@endsection

@section('styles')
    <style type="text/css">

        #social-links ul {
            display: inline-flex;
            gap: 25px;
            font-size: 23px;
        }

        .stepper {
            margin-top: 35px !important;
        }

        .hide {
            display: none;
        }

    </style>
@endsection

