@extends('layouts.frontend-master')

@section('title', 'Product Details')

@section('content')

  <!-- Breadcrumbs -->
  <section class="bg-gray-7">
    <div class="breadcrumbs-custom bg-image" style="background-image: url(/../images/bg-breadcrumbs.jpeg);">
      <div class="container">
        <h1 class="breadcrumbs-custom-title">Product Details</h1>
        <div class="breadcrumbs-custom-decor"></div>
      </div>
    </div>
    <div class="container">
      <ul class="breadcrumbs-custom-path">
        <li><a href="{{ route('home') }}">Home</a></li>
        <li><a href="{{ route('shop') }}">Shop</a></li>
        <li class="active">{{ $product->name }}</li>
      </ul>
    </div>
  </section>

  <!-- Single Product-->
  <section class="section section-sm section-first bg-default">
    <div class="container">
      <div class="row row-30">
        <div class="col-lg-6">
          <div class="slick-vertical slick-product">
            <!-- Slick Carousel-->
            <div class="slick-slider carousel-parent" data-swipe="true" data-items="1" data-child="#child-carousel-{{ count($images) }}" data-for="#child-carousel-{{ count($images) }}">

              @foreach($images as $key => $image)
                  <div class="item">
                    <div class="slick-product-figure"><img src="{{ asset('assets/uploads/products/'.$image) }}" alt="" width="530" height="530" style="width: 530px; height: 500px;" />
                    </div>
                  </div>
              @endforeach

            </div>

            <div class="slick-slider child-carousel" id="child-carousel-{{ count($images) }}" data-for=".carousel-parent" data-arrows="true" data-items="3" data-sm-items="3" data-md-items="3" data-lg-items="3" data-xl-items="3" data-slide-to-scroll="1" data-md-vertical="true">

              @foreach($images as $k => $img)
                  <div class="item">
                    <div class="slick-product-figure"><img src="{{ asset('assets/uploads/products/'.$img) }}" alt="" style="width: 170px; height: 140px;"/>
                    </div>
                  </div>
              @endforeach
              
            </div>

          </div>
        </div>
        <div class="col-lg-6">
          <div class="single-product">
            <h2>{{ $product->name }}</h2>
            <div class="group-md group-middle">
              <div class="single-product-price">${{ $product->price }}</div>
              {{-- <div class="single-product-rating"><span class="mdi mdi-star"></span><span class="mdi mdi-star"></span><span class="mdi mdi-star"></span><span class="mdi mdi-star"></span><span class="mdi mdi-star-half"></span></div> --}}
            </div>
            <p>{!! $product->description !!}</p>
            <hr class="hr-gray-300">
            <ul class="list list-description d-inline-block d-md-block">
              <li><span>Category:</span><span>{{ $category->name }}</span></li>

                @foreach($attributes as $att_key => $attribute)
                    <li><span>{{ $att_key }}:</span><span>{{ $attribute }}</span></li>
                @endforeach

            </ul>
            <div class="group-lg group-middle">
              <div class="product-stepper">
                <input class="form-input" type="number" data-zeros="true" value="1" min="1" max="1000">
              </div>
              <div>
                  <form action="{{ route('shop.cart.store') }}" method="POST" enctype="multipart/form-data">

                    @csrf
                      <input type="hidden" value="{{ $product->id }}" name="id">
                      <input type="hidden" value="{{ $product->name }}" name="name">
                      <input type="hidden" value="{{ $product->price }}" name="price">
                      <input type="hidden" value="{{ $images[0] }}"  name="image">
                      <input type="hidden" value="1" name="quantity">

                      <button class="button button-lg button-primary button-winona" style="margin: auto;">Add to cart</button>
                  </form>
              </div>
            </div>
            <hr class="hr-gray-300">
            <div class="group-sm group-middle"><span class="single-product-social-title">Share</span>
              <div>
                <ul class="list-inline single-product-social-list list-inline-sm">
                  <?php echo 
                      \Share::page(url()->current())
                            ->facebook()
                            ->twitter()
                            ->linkedin()
                            ->whatsapp();
                  ?>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Bootstrap tabs-->
      <div class="tabs-custom tabs-horizontal tabs-corporate" id="tabs-3">
        <!-- Nav tabs-->
        <ul class="nav nav-tabs">
          {{-- <li class="nav-item" role="presentation"><a class="nav-link active" href="#tabs-3-1" data-toggle="tab">Comments</a></li> --}}
          <li class="nav-item" role="presentation"><a class="nav-link active" href="#tabs-3-2" data-toggle="tab">Additional information</a></li>
          <li class="nav-item" role="presentation"><a class="nav-link" href="#tabs-3-3" data-toggle="tab">Delivery and payment</a></li>
        </ul>
        <!-- Tab panes-->
        <div class="tab-content">

          {{-- <div class="tab-pane fade show active" id="tabs-3-1">
            <div class="box-comment-wrap">
              <div class="box-comment box-comment-product">
                <div class="unit flex-column flex-md-row">
                  <div class="unit-left"><a class="box-comment-figure" href="#"><img src="/../images/user-1-119x119.jpg" alt="" width="119" height="119"/></a></div>
                  <div class="unit-body">
                    <div class="group-md group-justify">
                      <div>
                        <div class="group-md group-middle">
                          <p class="box-comment-author"><a href="#">John Doe</a></p>
                          <div class="box-rating"><span class="mdi mdi-star"></span><span class="mdi mdi-star"></span><span class="mdi mdi-star"></span><span class="mdi mdi-star"></span><span class="mdi mdi-star-half"></span></div>
                        </div>
                      </div>
                      <div class="box-comment-time">
                        <time datetime="2021-11-30">Nov 30, 2021</time>
                      </div>
                    </div>
                    <p class="box-comment-text">Lorem ipsum dolor sit amet, has mutat labores nostrum ei. Duo te blandit erroribus, ut sea ipsum nonumy, mel no ignota accusamus gloriatur. Id has habeo regione, explicari hendrerit reprimique cum te.</p>
                  </div>
                </div>
              </div>
            </div>
            <h5>Your Comment</h5>
            <form class="rd-form rd-mailform">
              <div class="row row-14 gutters-14">
                <div class="col-md-4">
                  <div class="form-wrap">
                    <input class="form-input" id="contact-your-name-3" type="text" name="name" data-constraints="@Required"/>
                    <label class="form-label" for="contact-your-name-3">Your Name*</label>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-wrap">
                    <input class="form-input" id="contact-email-3" type="email" name="email" data-constraints="@Email @Required"/>
                    <label class="form-label" for="contact-email-3">Your E-mail*</label>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-wrap">
                    <input class="form-input" id="contact-phone-3" type="text" name="phone" data-constraints="@Numeric"/>
                    <label class="form-label" for="contact-phone-3">Phone</label>
                  </div>
                </div>
                <div class="col-12">
                  <div class="form-wrap">
                    <label class="form-label" for="contact-message-3">Message*</label>
                    <textarea class="form-input textarea-lg" id="contact-message-3" name="message" data-constraints="@Required"></textarea>
                  </div>
                </div>
              </div>
              <button class="button button-primary button-winona" type="submit">Submit</button>
            </form>
          </div> --}}

          <div class="tab-pane fade show active" id="tabs-3-2">
            <div class="unit unit-spacing-1 flex-column flex-md-row align-items-lg-center">
              <div class="unit-left"><span class="icon-xxxl text-gray-800-01 mdi mdi-information-outline"></span></div>
              <div class="unit-body">
                <p class="text-spacing-50">
                    @if($product->additional_info)
                        {{ $product->additional_info }}
                    @else
                        <mark style="padding: 7px 21px; border-radius: 5px;">No additional information found for the product !</mark>
                    @endif
                </p>
              </div>
            </div>
          </div>
          <div class="tab-pane fade" id="tabs-3-3">
            <div class="unit unit-spacing-1 flex-column flex-md-row align-items-lg-center">
              <div class="unit-left"><span class="icon-xxxl text-gray-800-01 mdi mdi-information-outline"></span></div>
              <div class="unit-body">
                <p class="text-spacing-50">
                    @if($product->payment_info)
                        {{ $product->payment_info }}
                    @else
                        <mark class="bg-gray-600" style="padding: 7px 21px; border-radius: 5px;">No delivery info found for the product !</mark>
                    @endif
                </p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

@endsection

@section('scripts')
    <script src="{{ asset('js/share.js') }}"></script>
@endsection

@section('styles')
    <style type="text/css">

        #social-links ul {
            display: inline-flex;
            gap: 25px;
            font-size: 23px;
        }
        
    </style>
@endsection

