<!DOCTYPE html>
<html class="wide wow-animation" lang="en">
  <head>
    <title>@yield('title') - {{ config('app.name') }}</title>
    <meta name="format-detection" content="telephone=no">
    <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta charset="utf-8">
    <link rel="icon" href="images/favicon.ico" type="image/x-icon">
    <!-- Stylesheets-->
    <link rel="stylesheet" type="{{ asset('/frontend/text/css') }}" href="//fonts.googleapis.com/css?family=DM+Sans:400,500,700" media="all">
   <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous" media="all">
   
    <link rel="stylesheet" href="{{ asset('/frontend/css/fonts.css') }}"  media="all">
    <link rel="stylesheet" href="{{ asset('/frontend/css/style.min.css') }}" id="main-styles-link" media="all">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.css" />
    <style type="text/css">
        @media screen and (min-width: 768px) {
          #customw {
             width: 108% !important;
          }
        }
        
        @media screen and (max-width: 1199px) {
          #custserimg {
             height: 300px !important;
          }
        }
    </style>
    
    @yield('styles')
    
  </head>
  <body>
       


    <div class=" "> 
        @include('includes.front-header')

        @yield('content')
        
        @include('includes.front-footer')
    </div>
    <!-- Global Mailform Output-->
    <div class="snackbars" id="form-output-global"></div>
    <!-- Javascript-->
    <script src="{{ asset('/frontend/js/core.min.js') }}" defer></script>
    <script src="{{ asset('/frontend/js/script.js') }}" defer></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/lazysizes/5.3.2/lazysizes.min.js" defer integrity="sha512-q583ppKrCRc7N5O0n2nzUiJ+suUv7Et1JGels4bXOaMFQcamPk9HjdUknZuuFjBNs7tsMuadge5k9RzdmO+1GQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.js" defer></script>

    <script>        
        @if(Session::has('success')) new Noty({ 
                type:'success', 
                layout:'bottomLeft', 
                text: '{{ Session::get('success') }}', 
                timeout: 5000
            }).show(); 
        @endif

        @if(Session::has('info')) new Noty({ 
                type:'info', 
                layout:'bottomLeft', 
                text: '{{ Session::get('info') }}', 
                timeout: 5000
            }).show(); 
        @endif

        @if(Session::has('error')) new Noty({ 
                type:'error', 
                layout:'bottomLeft', 
                text: '{{ Session::get('error') }}', 
                timeout: 5000
            }).show(); 
        @endif

        @if(Session::has('im-val-error')) new Noty({ 
                type:'error', 
                layout:'bottomLeft', 
                text: '{{ Session::get('im-val-error') }}', 
                timeout: 5000
            }).show(); 
        @endif

        @if(Session::has('warning')) new Noty({ 
                type:'warning', 
                layout:'bottomLeft', 
                text: '{{ Session::get('warning') }}', 
                timeout: 5000
            }).show(); 
        @endif
    </script>

    @yield('scripts')
    
     <script>
    setTimeout(getSections, 5000);
 
    function getSections() {
    $.ajax({
             type:'get',
             url:'/getsections',
             data:'_token = <?php echo csrf_token() ?>',
             success:function(data) {
                $("#allSections").html(data);
             }
    });
    }
</script>

<script type="text/javascript">
  var Tawk_API=Tawk_API||{};
  
  var Tawk_LoadStart=new Date();
  (function(){
      var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
      s1.async=true;
      s1.src='https://embed.tawk.to/639c6aecb0d6371309d4c076/1gkdg3bt6';
      s1.charset='UTF-8';
      s1.setAttribute('crossorigin','*');
      s0.parentNode.insertBefore(s1,s0);
  })();
</script>

    
  </body>
</html>